<!DOCTYPE html>
<html lang="zxx">

<head>
    <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keyword" content="">
    <meta name="author" content="" />
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Page Title -->
    <title>Yazi | Admin Reset Password</title>
    <!-- Main CSS -->
    <link type="text/css" rel="stylesheet" href="{{ url('/') }}/AdminAssets/assets/css/style.css" />
    <!-- Favicon -->
    <link rel="icon" href="{{ url('/') }}/AdminAssets/assets/images/favicon.ico" type="image/x-icon">
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
</head>

<body>
    <!--================================-->
    <!-- Page Content Start -->
    <!--================================-->
    <div class="ht-100v text-center">
        <div class="row pd-0 mg-0">
            <div class="col-lg-6 bg-warning hidden-sm">
                <div class="ht-100v d-flex">
                    <div class="align-self-center">
                        <img src="{{ url('/') }}/AdminAssets/assets/images/auslogo.png" class="img-fluid"
                            alt="">
                        <h3 class="tx-20 tx-semibold pd-t-50">We Care about Quality</h3>
                        <p class="pd-y-15 pd-x-10 pd-md-x-100">Lorem Ipsum is simply dummy text of the printing and
                            typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the
                            1500s, when an unknown printer took a galley of type and scrambled it to make a type
                            specimen book. It has survived not only five centuries, but also the leap into electronic
                            typesetting, remaining essentially unchanged. It was popularised in the 1960s with the
                            release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop
                            publishing software like Aldus PageMaker including versions of Lorem Ipsum</p>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 bg-light">
                <div class="ht-100v d-flex align-items-center justify-content-center">
                    <form class="" id="reset_password_form" style="width:275px;">
                        @csrf
                        <h3 class="tx-dark mg-b-5 tx-left">Reset Password</h3>
                        <p class="tx-gray-500 tx-15 mg-b-40 tx-left">Please enter your new password.</p>
                        <input type="hidden" name="token" value="{{ request('token') }}">
                        <div class="form-group tx-left">
                            <div class="d-flex justify-content-between mg-b-5">
                                <label class="tx-gray-500 mg-b-0">New Password</label>
                            </div>
                            <input type="password" class="form-control password-field" placeholder="Enter your new password"
                                name="password">
                        </div>
                        <div class="form-group tx-left mb-0">
                            <div class="d-flex justify-content-between mg-b-5">
                                <label class="tx-gray-500 mg-b-0">Confirm New Password</label>
                            </div>
                            <input type="password" class="form-control password-field" placeholder="Confirm your new password"
                                name="password_confirmation">
                        </div>
                        <div style="text-align: end;" class="mb-2">
                            <input type="checkbox" class="form-check-input" id="showpassword">
                            <label for="showpassword" class="form-check-label">Show Password</label>
                        </div>
                        <button type="submit" class="btn btn-warning btn-block">Reset Password</button>
                        <div class="response_section"></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--/ Page Content End -->
    <!-- jQuery  -->
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/jquery/jquery.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/bootstrap/bootstrap.bundle.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/feather-icon/feather.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/metisMenu/metisMenu.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
    <!-- App JS -->
    <script src="{{ url('/') }}/AdminAssets/assets/js/app.js"></script>
    <script>
        $('#reset_password_form').on('submit', function(e) {
            e.preventDefault();
            $('.response_section').html(`<div class="alert alert-info mt-1">Processing...</div>`);
            var formData = $(this).serialize();
            $.ajax({
                url: "{{ route('Admin.PasswordUpdate.Submit') }}",
                type: "POST",
                data: formData,
                success: function(response) {
                    switch (response.status) {
                        case 200:
                            $('.response_section').html(
                                `<div class="alert alert-success mt-1">${response.message} <a href="{{ route('Admin.Login') }}">Login</a></div>`
                            );
                            $('input[name=password_confirmation], input[name=password]').val('');
                            break;
                        case 404:
                            $('.response_section').html(
                                `<div class="alert alert-warning mt-1">${response.message}</div>`);
                            break;
                        case 500:
                            $('.response_section').html(
                                `<div class="alert alert-danger mt-1">${response.message}</div>`);
                            break;
                    }
                },
                error: function(xhr, status, error) {
                    // handle error response
                    if (xhr.status == 422) {
                        $('.response_section').html(
                            `<div class="alert alert-danger mt-1">Password Fields are not matched!</div>`
                        );
                    } else {
                        $('.response_section').html(
                            `<div class="alert alert-danger mt-1">Server Error, Try Again Later!</div>`
                        );
                    }

                }
            });
        });
    </script>
    <script>
        const showPasswordCheckbox = document.getElementById("showpassword");
        const passwordFields = document.querySelectorAll(".password-field");
        showPasswordCheckbox.addEventListener("change", function () {
            const fieldType = showPasswordCheckbox.checked ? "text" : "password";
            passwordFields.forEach((field) => {
                field.type = fieldType;
            });
        });
    </script>
</body>

</html>
