@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
@endphp
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Create Brand') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="{{url('/')}}/admin/brands">Brands</a>
                           <span class="breadcrumb-item active">Create</span>
                        </div>
                     </div>
                     @if (Session::has('permissions') && (in_array('Brand List', Session::get('permissions')) ||in_array('Brand Trash List', Session::get('permissions'))))
                     <div class="d-flex align-items-center">
                        @if (Session::has('permissions') && in_array('Brand List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/brands'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="zap" class="wd-16 mr-2"></i>Brand List</button>
                        @endif
                         @if (Session::has('permissions') && in_array('Brand Trash List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/brands/list/trash'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="zap" class="wd-16 mr-2"></i>Trash List</button>
                     @endif
                     </div>
                  @endif
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">

                        @if(session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                    <li>If you have already selected logo Image and Cover Image, Please select them again!</li>
                                </ul>
                            </div>
                        @endif
                        <form id="Brands-create-form" method="POST" action="{{ route('brands.store') }}" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="created_by" value="{{$logged_in_user->id}}">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Brand Details (Compulsory)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Title: <span class="tx-danger">*</span></label>
                                                <input class="form-control form-control-lg restrict-input-alphabets_space addTitle" type="text" name="title" placeholder="HITACHI" value="{{ old('title') }}" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Permalink: <span class="tx-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text input-group-text">{{url('/')}}/tool-brands/</span>
                                                    </div>
                                                    <input class="form-control form-control restrict-input-alphabets permalink" id="permalink" type="text" name="permalink" value="{{ old('permalink') }}" placeholder="hitachi" required>
                                                </div>
                                                <div class="text-danger permalink_error"></div>
                                                <input type="hidden" class="permalink_status" name="permalink_status" value="{{ old('permalink_status') }}" required>
                                            </div>
                                       </div>
                                    </div>

                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product SEO Details (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Title: </label>
                                                <input type="text" class="form-control" name="_seo_title" value="{{ old('_seo_title') }}" placeholder="SEO Title...">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Tags: </label>
                                                <input type="text" name="_seo_tags" value="{{ old('_seo_tags') }}" class="form-control rounded-0" id="seo_tags">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Description: </label>
                                                <textarea class="form-control" name="_seo_description" placeholder="SEO Description...">{{ old('_seo_description') }}</textarea>
                                            </div>
                                       </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('More Details (Required)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Active Status: </label>
                                                <select class="form-control" name="active">
                                                    <option value="0" @if(old('active') == 0) selected @endif >Draft</option>
                                                    <option value="1" @if(old('active') == 1) selected @endif >Public</option>
                                                    <option value="2" @if(old('active') == 2) selected @endif >Private</option>
                                                    <option value="3" @if(old('active') == 3) selected @endif >Trash</option>
                                                </select>
                                            </div>
                                            <input class="btn btn-primary float-right" type="submit" value="Submit">
                                       </div>
                                    </div>

                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Featured Media (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Brand Logo Image: </label>
                                                <input class="form-control" name="logo_image" accept="image/*" type="file" id="featuredimageInput">
                                                <div class="text-secondary"><small>Preferred Dimension: (800px) x (500px)</small></div>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Logo Alt Text: </label>
                                                <input class="form-control" name="_alt" type="text" value="{{old('_alt')}}">
                                            </div>
                                            <div id="featuredimagePreview"></div>

                                            <div class="form-group">
                                                <label class="form-control-label active">Cover Image: </label>
                                                <input class="form-control" name="cover_image" accept="image/*" type="file" id="Wallpaperimage">
                                                <div class="text-secondary"><small>Preferred Dimension: (1920px) x (800px)</small></div>
                                            </div>
                                            <div id="WallpaperimagePreview"></div>
                                       </div>
                                    </div>
                                </div>
                            </div>
                         </form>
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!--/ Page Inner End -->
            


            
@include('Admin.Includes.footer')
<script>
  $('.addTitle').on('input', function() {
    var title = $(this).val();
    var sku = title.replace(/\s+/g, '-').toLowerCase();
    $('.permalink').val(sku);
    validate_permalink();
  });
  $('.permalink').on('input', function() {
    validate_permalink();
  });
   $('#seo_tags').tagsinput({ tagClass: 'badge badge-dark' });


   // Get references to the input field and the div for image preview
   var imageInput = document.getElementById('featuredimageInput');
   var imagePreview = document.getElementById('featuredimagePreview');

   // Get references to the input field and the div for image preview
   var imageInput1 = document.getElementById('Wallpaperimage');
   var imagePreview1 = document.getElementById('WallpaperimagePreview');

   imageInput.addEventListener('change', function(event) {
        var selectedFile = event.target.files[0];
        if (selectedFile) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var imageElement = document.createElement('img');
                imageElement.src = event.target.result;
                imageElement.style.width = '100%';
                imageElement.style.height = 'auto';
                imagePreview.innerHTML = '';
                imagePreview.appendChild(imageElement);
            }
            reader.readAsDataURL(selectedFile);
        } else {
            imagePreview.innerHTML = '';
        }
   });

   imageInput1.addEventListener('change', function(event) {
        var selectedFile = event.target.files[0];
        if (selectedFile) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var imageElement = document.createElement('img');
                imageElement.src = event.target.result;
                imageElement.style.width = '100%';
                imageElement.style.height = 'auto';
                imagePreview1.innerHTML = '';
                imagePreview1.appendChild(imageElement);
            }
            reader.readAsDataURL(selectedFile);
        } else {
            imagePreview1.innerHTML = '';
        }
   });

   function validate_permalink(){
        var permalink = $('#permalink').val();

        $.ajax({
            url: '{{route('Admin.Brand.CheckPermalink')}}', // Replace with the actual route to handle the permalink check
            method: 'POST',
            data: { permalink: permalink, _token: $('meta[name="csrf-token"]').attr('content') },
            dataType: 'json',
            success: function(response) {
                $('.permalink_status').val('1');
                $('.permalink_error').html('');
            },
            error: function(xhr, status, error) {
                console.log(xhr);
                $('.permalink_status').val('');
                $('.permalink_error').html('<small>This permalink already in used or field is empty!, Please change the permalink.</small>');
            }
        });
   }
</script>
