@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\DiscountClass;
    $logged_in_user = Auth::user();
@endphp
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Trash Discount List') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="{{url('/')}}/admin/discounts"><i class="icon ion-ios-home-outline"></i> Discount List</a>
                           <span class="breadcrumb-item active">Trash</span>
                        </div>
                     </div>
                     @if (Session::has('permissions') && (in_array('Create a Discount', Session::get('permissions'))  ||in_array('Discount List', Session::get('permissions')))) 
                     <div class="d-flex align-items-center">
                     @if (Session::has('permissions') && in_array('Create a Discount', Session::get('permissions')))
                     <button type="button" onclick="window.location = '{{url('/')}}/admin/discounts/create'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="percent" class="wd-16 mr-2"></i>Create a Discount</button>
                       @endif
                        @if (Session::has('permissions') && in_array('Discount List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/discounts'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="percent" class="wd-16 mr-2"></i> Discount List</button>
                        @endif
                     </div>
                 @endif
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">
                        @if(session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}</a>
                            </div>
                        @endif
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <div class="card mg-b-30">
                           <div class="card-header">
                              <div class="d-flex justify-content-between align-items-center">
                                 <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Trash Collection List') }}</h6>
                                 </div>
                              </div>
                           </div>
                           <div class="card-body pd-0">
                              <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                                 <thead>
                                    <tr>
                                    <th width="25px">#</th>
                                       <th width="330px">Title</th>
                                       <th>Badge Image</th>
                                       <th>Badge Text</th>
                                       <th>Discount Type</th>
                                       <th>Discount Value</th>
                                       <th>Created By</th>
                                       <th>Active</th>
                                        @if (Session::has('permissions') && (in_array('Discount Edit', Session::get('permissions')) ||in_array('Discount Delete', Session::get('permissions')) ||in_array('Discount Change Status', Session::get('permissions'))))<th width="100px">Actions</th>@endif
                                    </tr>
                                 </thead>
                                 <tbody>
                                 @php $i = 1; @endphp
                                 @foreach($discounts as $discount)
                                    <tr>
                                        <td>{{$i}}</td>
                                        <td>
                                            <div class="product-detail-cell">
                                                <a class="product-title"target="_blank">{{$discount->title}}</a>
                                            </div>
                                        </td>
                                        <td class="d-flex" style="max-width: 115px;overflow: auto;">
                                                @php
                                                     $imagePaths = explode(',', $discount->badge_image);
                                                @endphp

                                                @foreach($imagePaths as $imagePath)
                                                <div>
                                                    <div class="product-thumbnail mb-2" style="background:url({{ url('/').'/'.$imagePath }});background-size:cover;background-position:center;height: 200px; border-radius:0px !important"></div>
                                                    </div>
                                                    @endforeach
                                        </td>
                                        <td>
                                        <a class="product-title" target="_blank">{{ $discount->badge_text }}</a> 
                                        </td>
                                        <td class="">
                                        @if($discount->discount_type == 1)
                                               Fixed
                                            @else
                                                Percentage
                                        @endif
                                        </td>
                                        <td>{{$discount->discount_value}}%</td>
                                        <td>
                                            @php print(DiscountClass::CreateBy($discount->created_by)); @endphp
                                        </td>
                                        <td class="active-status">{{DiscountClass::check_active($discount->active)}}</td>
                                         @if (Session::has('permissions') && (in_array('Discount Edit', Session::get('permissions')) ||in_array('Discount Delete', Session::get('permissions')) ||in_array('Discount Change Status', Session::get('permissions'))))
                                        <td>
                                        @if($discount->id)
                                            <form action="{{ route('discounts.destroy', ['discount' => $discount->id]) }}" method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                            @if (Session::has('permissions') && in_array('Discount Edit', Session::get('permissions')))
                                            <button type="button" class="btn btn-warning" onclick="window.location='{{ route('discounts.edit', ['discount' => $discount->id]) }}'">Edit</button>
                                           @endif
                                            @if (Session::has('permissions') && in_array('Discount Delete', Session::get('permissions')))
                                            <button class="btn btn-danger" type="submit" onclick="return confirm('Are you sure? Discount will permanently be deleted, suggestion is to make the discount status Draft or Private!')">Delete</button>
                                           @endif
                                            @if (Session::has('permissions') && in_array('Discount Change Status', Session::get('permissions')))
                                            <div class="btn-group" role="group">
                                            <button id="btnGroupDrop1" type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Change Status
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                                            <a class="dropdown-item" onclick="CollectionUpdateStatus({{ $discount->id }}, 0, this)">Draft</a>
                                            <a class="dropdown-item" onclick="CollectionUpdateStatus({{ $discount->id }}, 1, this)">Public</a>
                                            <a class="dropdown-item" onclick="CollectionUpdateStatus({{ $discount->id }}, 2, this)">Private</a>
                                            <a class="dropdown-item" onclick="CollectionUpdateStatus({{ $discount->id }}, 3, this)">Trash</a>
                                            </div>
                                            </div>
                                            @endif
                                            </div>
                                            </form>
                                            @endif
                                        </td>
                                        @endif
                                    </tr>
                                    @php $i++; @endphp
                                 @endforeach
                                 </tbody>
                                 <tfoot>
                                    <tr>
                                    <th>#</th>
                                       <th width="330px">Title</th>
                                       <th>Badge Image</th>
                                       <th>Badge Text</th>
                                       <th>Discount Type</th>
                                       <th>Discount value</th>
                                       <th>Created By</th>
                                       <th>Active</th>
                                        @if (Session::has('permissions') && (in_array('Discount Edit', Session::get('permissions')) ||in_array('Discount Delete', Session::get('permissions')) ||in_array('Discount Change Status', Session::get('permissions'))))<th width="100px">Actions</th>@endif
                                    </tr>
                                 </tfoot>
                              </table>
                           </div>
                        </div>
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script>
    function CollectionUpdateStatus(brandId, status, elementObj) {
        var active_status = '';
        switch(status){
            case 0:
                active_status = 'Draft';
                break;
            case 1:
                active_status = 'Public';
                break;
            case 2:
                active_status = 'Private';
                break;
            case 3:
                active_status = 'Trash';
                break;
        }

        $.ajax({
            url: '/admin/discounts/' + brandId + '/update-status',
            type: 'PUT',
            data: {
                active: status,
                _token: '{{ csrf_token() }}'
            },
            success: function(response) {
                showToast('success', 'Brand status updated successfully.');
                $(elementObj).parent().parent().parent().parent().parent().siblings('.active-status').text(active_status);
                if(status != 3){
                    window.location = '{{url('/')}}/admin/discounts';
                }
            },
            error: function(xhr, status, error) {
                var errorMessage = xhr.responseJSON && xhr.responseJSON.message ? xhr.responseJSON.message : 'Error occurred.';
                showToast('error', errorMessage);
            }
        });
    }
</script>
