@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Create Gift Card') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin">
                        Dashboard</a>
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin/gift-cards">Gift Cards</a>
                    <span class="breadcrumb-item active">Create</span>
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Gift Card List</button>
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards/expired'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Expired List</button>
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards/deleted'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Deleted List</button>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="col-md-12 col-lg-12 px-0">

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <form method="POST" action="{{ route('gift-cards.store') }}" enctype="multipart/form-data">
            @csrf
            <input type="hidden" name="created_by" value="{{ $logged_in_user->id }}">
            <div class="row">
                <div class="col-md-9">
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Gift Card Details (Compulsory)') }}
                                    </h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Title: <span
                                                class="tx-danger">*</span></label>
                                        <input class="form-control form-control-lg" type="text" name="title"
                                            placeholder="Permotion" value="{{ old('title') }}" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Variant: <span
                                                class="tx-danger">*</span></label>
                                        <select name="variant" id="variant" class="form-control form-control-lg">
                                            <option value="" selected disabled>Selected Card Variant</option>
                                            <option value="gift_card" @if (old('variant') == 'gift_card') selected @endif>
                                                Gift Card</option>
                                            <option value="promotion" @if (old('variant') == 'promotion') selected @endif>
                                                Promotion</option>
                                            <option value="coupon" @if (old('variant') == 'coupon') selected @endif>
                                                Coupon</option>
                                        </select>
                                    </div>
                                    <div class="message">
                                        <p class="text-danger" style="font-weight: 600">Coupon Code will auto-generate
                                            when user buy this</p>
                                    </div>
                                </div>
                                <div class="col-md-6 coupon_code">
                                    <div class="form-group">
                                        <label class="form-control-label active">Coupon Code: <span
                                                class="tx-danger">*</span></label>
                                        <div class="input-group">
                                            <input class="form-control form-control-lg" type="text" name="coupon_code"
                                                id="coupon" placeholder="Coupon" value="{{ old('coupon_code') }}">
                                            <button class="btn btn-secondary" type="button"
                                                onclick="generateCouponCode()">Generate</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Usage: <span
                                                class="tx-danger">*</span></label>
                                        <select name="usage" id="usage" class="form-control form-control-lg">
                                            <option value="" selected disabled>Selected Card Usage</option>
                                            <option value="one_time">One Time</option>
                                            <option value="multiple_times">Multiple Times</option>
                                            <option value="one_time_per_user">One Time per user</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">Value (Compulsory)</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="form-control-label active">Discount: <span
                                        class="tx-danger">*</span></label>
                                <input class="form-control " type="text" name="discount"
                                    Placeholder="Discount...." required>
                            </div>
                            <div class="form-group gift_card_price">
                                <label class="form-control-label active">Price: <span
                                        class="tx-danger">*</span></label>
                                <input class="form-control" id="card_price" type="text" name="price"
                                    Placeholder="Price">
                            </div>
                        </div>
                    </div>
                    <!-- test -->
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">Activate Date</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6 dates_columms">
                                    <div class="form-group">
                                        <label class="form-control-label">Start Date: <span
                                                class="tx-danger">*</span></label>
                                        <input class="form-control form-control-lg" type="date" name="start_date">
                                    </div>
                                </div>
                                <div class="col-md-6 dates_columms">
                                    <div class="form-group">
                                        <label class="form-control-label">End Date: <span
                                                class="tx-danger">*</span></label>
                                        <input class="form-control form-control-lg" type="date" name="end_date">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        <label class="form-control-label">Is this Experiable? <span
                                                class="tx-danger">*</span></label>
                                        <br>
                                        <input type="radio" name="is_expirable" id="yes" value="1">
                                        <label for="yes">Yes</label>
                                        &nbsp;&nbsp;
                                        <input type="radio" name="is_expirable" id="no" value="0">
                                        <label for="no">No</label>
                                    </div>
                                </div>
                                <div class="col-md-12 expirations_week">
                                    <div class="form-group">
                                        <label class="form-control-label">Expire after weeks of buying<span
                                                class="tx-danger">*</span></label>
                                        <input class="form-control form-control-lg" type="number"
                                            name="expire_after_weeks">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('More Details (Required)') }}</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="form-control-label active">Active Status: </label>
                                <select class="form-control" name="status" required>
                                    <option value="active" @if (old('status') == 'active') selected @endif>Active
                                    </option>
                                    <option value="expired" @if (old('status') == 'expired') selected @endif>Expire
                                    </option>
                                    <option value="deleted" @if (old('status') == 'deleted') selected @endif>Delete
                                    </option>
                                </select>
                            </div>
                            <input class="btn btn-primary float-right" type="submit" value="Submit">
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script>
    $('.message').hide();
    $('.expirations_week').hide();
    $('.gift_card_price').hide();
    $(document).ready(function() {
        document.getElementById("variant").addEventListener("change", function() {
            var selectedVariant = this.value;
            var couponField = document.getElementById("coupon");

            if (selectedVariant === "gift_card") {
                $('#coupon').val('');
                $('.coupon_code').hide();
                $('.message').show();
                $('.gift_card_price').show();
                $('.dates_columms').hide();
                $('.expirations_week').show();
            } else {
                $('.coupon_code').show();
                $('.message').hide();
                $('.gift_card_price').hide();
                $('#card_price').val('');
                $('.dates_columms').show();
                $('.expirations_week').hide();
            }
        });
    });

    function generateCouponCode() {
        const charset =
            "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        let couponCode = "";
        let length = 7;

        for (let i = 0; i < length; i++) {
            const randomIndex = Math.floor(Math.random() * charset.length);
            couponCode += charset.charAt(randomIndex);
        }
        $('#coupon').val(couponCode);
    }
</script>
