@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    use App\General\UserClass;
    $logged_in_user = Auth::user();
    $GST_PERCENTAGE = config('app.PERCENTAGE') ?? 0;
@endphp

<!-- Page Inner Start -->
    <div class="page-inner pd-0-force mg-0-force bg-white">
        <div class="row">
            <div class="col-md-7 px-0 pt-2">
                <form style="margin-left:30px" id="return_invoice_form">
                @csrf
                    <div class="h4 row">
                        <div class="col-6">Create Return Invoice</div>
                        {{-- <div class="col-6 text-right">#{{$invoice->invoice_number}}</div> --}}
                    </div>
                    <div class="customer-section">
                        <div class="form-group">
                            <label for="exampleFormControlSelect1">Invoice Number</label>
                            <input type="text" class="form-control form-control-sm" name="invoice_number" oninput="getInvoices(this)">
                            <div class="my-2 searched_invoices" style="max-height:150px !important;overflow-y:scroll;">

                            </div>
                        </div>
                    </div>
                    <div class="row mx-0 px-0">
                        <div class="col-5 px-0">
                                <label for="exampleFormControlSelect1">Product</label>
                        </div>
                        <div class="col-2 px-1">
                                <label for="exampleFormControlSelect1">Unit Price</label>
                        </div>
                        <div class="col-2 px-1">
                                <label for="exampleFormControlSelect1">Total Units</label>
                        </div>
                        <div class="col-2 px-1">
                                <label for="exampleFormControlSelect1">Units Return</label>
                        </div>
                    </div>
                    <div class="invoice-section">

                    </div>
                    <hr>
                    <div class="text-right mg-y-20">
                        {{-- <button type="button" class="btn btn-danger mg-t-5 destroy-invoice" action-url="{{ route('invoices.destroy', $invoice->id) }}">Cancel</button> --}}
                        @if (Session::has('permissions') && in_array('Save Return', Session::get('permissions')))
                        <button type="submit" class="btn btn-success mg-t-5" id="return_invoice_submit_button">Save Chagnes</button>
                        @endif
                        {{-- <div class="alert alert-warning d-none" id="public_note">This Invoice is Public, you cannot make changes to the Invoice but you can print Invoice 😃, <a href="{{url('/')}}/admin/invoices/create">Create New Invoice</a></div> --}}
                    </div>
                </form>
            </div>
            <div class="col-md-5">
                <!--================================-->
                <div class="card pd-10 wd-100p m-auto invoice_Area" style="zoom:70%">
                    {{-- @php print($Invoice_review); @endphp --}}
                </div>
                <div class="text-right mt-4 mx-2" id="print_create_invoice_return" style="display:none">
                     @if (Session::has('permissions') && in_array('Print Return', Session::get('permissions')))
                       <button type="button" class="btn btn-warning mg-t-5" onclick="printInvoice();"><i class="fa fa-print"></i> Print Invoice</button>
                       @endif
                </div>
                <!--/ Invoice End -->
            </div>
        </div>
    </div>

<!--/ Page Inner End -->

@include('Admin.Includes.footer')
<script>

    function getInvoices(obj){
        invoice_number = $(obj).val();
        const resultsSection = document.querySelector('.searched_invoices');
        if (invoice_number === '') {
            resultsSection.innerHTML = ''; // Clear results
            return;
        }

        fetch(`/admin/search/invoices?query=${invoice_number}`)
        .then(response => response.json())
        .then(data => {
            const invoices = data.invoices;
            resultsSection.innerHTML = ''; // Clear previous results
            invoices.forEach(invoice => {
                const invoiceHtml = `
                <div class="product-detail-cell" onclick="getInvoiceDetail(${invoice.id})">
                    <table class="table table-strip">
                        <tr>
                            <th>${invoice.invoice_number}</th>
                            <th>${invoice.customer}</th>
                            <th>${invoice.invoice_date}</th>
                            <th>${invoice.created_by}</th>
                        </tr>
                    </table>
                </div>
                `;
                resultsSection.insertAdjacentHTML('beforeend', invoiceHtml);
            });
        })
        .catch(error => console.error('Error fetching search results:', error));
    }
    function getInvoiceDetail(invoice_id){
        $('.invoice-section').html('');
        fetch(`/admin/search/invoices/select?invoice_id=${invoice_id}`)
            .then(response => response.json())
            .then(data => {
                const resultsSection = document.querySelector('.invoice-section');
                const invoiceSection = $('.invoice-section');
                for (let i = 0; i < data.meta.length; i++) {
                    const meta = data.meta[i];
                    if(meta.units > 0){
                        invoiceSection.append(`
                            <div class="row mb-1 mx-0 invoice-item">
                                <div class="col-5 px-0">
                                    <input type="hidden" name="invoice_id" value="${invoice_id}" id="invoice_id">
                                    <input type="hidden" name="product_id[]" value="${meta.product_id}">
                                    <input type="text" name="product_name[]" class="form-control form-control-sm" value="${meta.product_name}" readonly>
                                </div>
                                <div class="col-2 px-0">
                                    <input type="number" name="unit_price[]" value="${meta.unit_price}" min="1" readonly class="form-control form-control-sm rounded-0 return_products_unit_price" id="return_invoice_units_price_${meta.product_id}">
                                </div>
                                <div class="col-2 px-0">
                                    <input type="number" name="units[]" value="${meta.units}" min="1" readonly class="form-control form-control-sm rounded-0" id="return_invoice_total_units_${meta.product_id}">
                                </div>
                                <div class="col-2 px-0 item_total_section">
                                    <input type="number" name="return_units[]" min="1" class="form-control form-control-sm rounded-0 product_return_items" oninput="validateUnits(this)" data-id="${meta.product_id}">
                                <small style="display:none;color:red" id="error_message_return_units_${meta.product_id}"></small>
                                </div>
                            </div>
                        `);
                    }
                    // play_beep();
                }

                section_2 = `<div class="row my-3 mx-0">
                                <div class="col-4">
                                    <label>Invoice Date: </label>
                                    <input type="date" readonly name="invoice_date" id="invoice_date" value="${data.invoice.invoice_date}" class="form-control form-control-sm"><br>
                                    <label>Active Status: </label>
                                    <select name="status" class="form-control form-control-sm" id="active_check" required>
                                        <option value="0" ${(data.invoice.active == 0) ? 'selected' : 'false' }>Draft</option>
                                        <option value="1" ${(data.invoice.active == 1) ? 'selected' : 'false' }>Public</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row my-3 mx-0">
                                <div class="offset-8 col-4">
                                    <label> Total Return Price </label>
                                    <input type="number" readonly name="total_return_price" id="total_return_price" value="0" class="form-control form-control-sm"><br>
                                </div>
                            </div>`;

                resultsSection.insertAdjacentHTML('beforeend', section_2);
                $('.invoice_Area').html(data.invoice_review);
                $('#print_create_invoice_return').show();
            })
            .catch(error => console.error('Error fetching search results:', error));
    }
    function validateUnits(obj){
        let return_units = $(obj).val();
        product_id = $(obj).attr('data-id');
        let total_units = $('#return_invoice_total_units_'+product_id).val();

        if(Number(total_units) < Number(return_units)){
            $('#error_message_return_units_'+product_id).text('Returning units must be less than the total units.');
            $('#error_message_return_units_'+product_id).show();
            $('#return_invoice_submit_button').prop("disabled", true);
        }else{
            $('#error_message_return_units_'+product_id).hide();
            calculate_sub_total(return_units,product_id);
            $('#return_invoice_submit_button').prop("disabled", false);
        }
    }

    function calculate_sub_total(return_units,id){
        var sum = 0;
        console.log('calculate_sub_total')
        $('.product_return_items').each(function() {
            var value = parseFloat($(this).val());
            if (!isNaN(value)) {
                var product_id = $(this).attr('data-id')
                var unit_price = $('#return_invoice_units_price_'+product_id).val();
                sum += value * unit_price;
            }
        });
        $('#total_return_price').val(sum);
    }
    $('#return_invoice_form').submit(function(event) {
        event.preventDefault();
        if($('.invoice-item').length == 0){
            alert('Please select a invoice to save changes.');
        }else{

        var formData = $(this).serialize();
        var invoiceId = $('#invoice_id').val();
            if($("#active_check").val() == 1){
                if (confirm("Are you sure you want to make a public invoice, because it will update store stock and you cannot make changes anymore?")) {
                    $.ajax({
                        url: '{{ route('invoices_return.update', ['invoices_return' => ':invoiceId']) }}'.replace(':invoiceId', invoiceId),
                        type: 'PUT',
                        data: formData,

                        success: function(response) {
                            // $('.invoice_Area').html(response.invoice_review);
                            // $("#invoice_form :input").prop("disabled", true);
                            // $('.destroy-invoice, #submit_button').fadeOut();
                            // $('#public_note').removeClass('d-none');
                            if(response.status){
                                $('.invoice_Area').html('');
                                $('.invoice_Area').html(response.invoice_review);
                                alert(response.message);
                            }else{
                                alert(response.message);
                            }
                        },
                        error: function(xhr, textStatus, errorThrown) {
                            alert('Error saving invoice: ' + errorThrown);
                        }
                    });
                }
            }else{
                $.ajax({
                    url: '{{ route('invoices_return.update', ['invoices_return' => ':invoiceId']) }}'.replace(':invoiceId', invoiceId),
                    type: 'PUT',
                    data: formData,

                    success: function(response) {
                        $('.invoice_Area').html(response.invoice_review);
                        $('.destroy-invoice').fadeOut();
                        // alert('Invoice saved successfully');
                        if(response.status){
                            $('.invoice_Area').html('');
                            $('.invoice_Area').html(response.invoice_review);
                            alert(response.message);
                        }else{
                            alert(response.message);
                        }
                    },
                    error: function(xhr, textStatus, errorThrown) {
                        alert('Error saving invoice: ' + errorThrown);
                    }
                });
            }


        }
    });

    function printInvoice() {
        var invoiceArea = document.querySelector('.invoice_Area');
        var printWindow = window.open('', '', 'width=1200,height=720');
        var invoice_number = $('#id_invoice_number').text();
        printWindow.document.open();
        printWindow.document.write('<html><head><title>Print Invoice - ' + invoice_number +'</title><link href="{{url('/')}}/AdminAssets/assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet"></head><body>');
        printWindow.document.write('<div class="invoice_Area">' + invoiceArea.innerHTML + '</div>');
        printWindow.document.write('</body></html>');
        printWindow.document.close();

        printWindow.print();
    }

    function play_beep(){
            var beepSound = document.getElementById("beepSound");
            beepSound.play();
    }

</script>
<audio id="beepSound" preload="auto">
  <source src="{{url('/')}}/sounds/beep.wav" type="audio/mpeg">
</audio>
