@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    use App\General\UserClass;
    $logged_in_user = Auth::user();
    $GST_PERCENTAGE = config('app.PERCENTAGE') ?? 0;
@endphp
<!-- Page Inner Start -->
<div class="page-inner pd-0-force mg-0-force bg-white">
    <div class="row">
        <div class="col-md-7 px-0 pt-2">
            <form style="margin-left:30px" id="return_invoice_edit_form">
            @csrf
                <div class="h4 row">
                    <div class="col-6">Update Return Invoice</div>
                    {{-- <div class="col-6 text-right">#{{$invoice->invoice_number}}</div> --}}
                </div>
                <div class="customer-section">
                    <div class="form-group">
                        <label for="exampleFormControlSelect1">Invoice Number</label>
                        <input type="text" class="form-control form-control-sm" name="invoice_number" oninput="getInvoices(this)">
                        <div class="my-2 searched_invoices" style="max-height:150px !important;overflow-y:scroll;">

                        </div>
                    </div>
                </div>
                <div class="row mx-0 px-0">
                    <div class="col-6 px-0">
                            <label for="exampleFormControlSelect1">Product</label>
                    </div>
                    <div class="col-3 px-1">
                            <label for="exampleFormControlSelect1">Total Units</label>
                    </div>
                    <div class="col-3 px-1">
                            <label for="exampleFormControlSelect1">Units Return</label>
                    </div>
                </div>
                <div class="invoice-section">
                    @foreach($invoice_return->invoice_return_meta as $key=>$value)
                        <div class="row mb-1 mx-0 invoice-item">
                            <div class="col-6 px-0">
                                <input type="hidden" name="invoice_id" value="{{$invoice_return->invoice->id}}" id="invoice_id">
                                <input type="hidden" name="product_id[]" value="{{$value->product_id}}">
                                <input type="hidden" name="type" value="edit">
                                <input type="text" name="product_name[]" class="form-control form-control-sm" value="{{$value->products->title}}" readonly>
                            </div>
                            <div class="col-3 px-0">
                                <input type="number" name="units[]" value="{{$value->total_units}}" min="1" readonly class="form-control form-control-sm rounded-0" id="return_invoice_edit_total_units_{{$value->product_id}}">
                            </div>
                            <div class="col-3 px-0 item_total_section">
                                <input type="number" name="return_units[]" class="form-control form-control-sm rounded-0 product_item_total" value="{{$value->return_units}}" onchange="validateUnitsEdit(this)" data-id="{{$value->product_id}}">
                            <small style="display:none;color:red" id="error_message_edit_return_units_{{$value->product_id}}"></small>
                            </div>
                        </div>
                    @endforeach
                    <div class="row my-3 mx-0">
                        <div class="col-4">
                            <label>Invoice Date: </label>
                            <input type="date" readonly name="invoice_date" id="invoice_date" value="{{$invoice_return->return_date}}" class="form-control form-control-sm"><br>
                            <label>Active Status: </label>
                            <select name="status" class="form-control form-control-sm" id="active_check" required>
                                <option value="0" @if ($invoice_return->status == 0) selected @endif>Draft</option>
                                <option value="1" @if ($invoice_return->status == 1) selected @endif>Public</option>
                            </select>
                        </div>
                    </div>
                </div>
                <hr>
                <div class="text-right mg-y-20">
                    {{-- <button type="button" class="btn btn-danger mg-t-5 destroy-invoice" action-url="{{ route('invoices.destroy', $invoice->id) }}">Cancel</button> --}}
                    @if (Session::has('permissions') && in_array('Save Return', Session::get('permissions')))
                    <button type="submit" class="btn btn-success mg-t-5" id="submit_button">Save Chagnes</button>
                    @endif
                    {{-- <div class="alert alert-warning d-none" id="public_note">This Invoice is Public, you cannot make changes to the Invoice but you can print Invoice 😃, <a href="{{url('/')}}/admin/invoices/create">Create New Invoice</a></div> --}}
                </div>
            </form>
        </div>
        <div class="col-md-5">
            <!--================================-->
            <div class="card pd-10 wd-100p m-auto invoice_Area" style="zoom:70%">
                @php print($Invoice_review); @endphp
            </div>
            <div class="text-right mt-4 mx-2">
                   @if (Session::has('permissions') && in_array('Print Return', Session::get('permissions')))
                   <button type="button" class="btn btn-warning mg-t-5" onclick="printInvoice();"><i class="fa fa-print"></i> Print Invoice</button>
           @endif
            </div>
            <!--/ Invoice End -->
        </div>
    </div>
</div>

<!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script>
    function validateUnitsEdit(obj){
        let return_units = $(obj).val();
        product_id = $(obj).attr('data-id');
        let total_units = $('#return_invoice_edit_total_units_'+product_id).val();

        if(Number(total_units) < Number(return_units)){
            $('#error_message_edit_return_units_'+product_id).text('Returning units must be less than the total units.');
            $('#error_message_edit_return_units_'+product_id).show();
        }else{
            $('#error_message_edit_return_units_'+product_id).hide();
        }
    }
    $(document).ready(function() {
        @if($invoice_return->status == 1)
            $("#return_invoice_edit_form :input").prop("disabled", true);
        @endif
    });
</script>
<script>
    $('#return_invoice_edit_form').submit(function(event) {
        event.preventDefault();
        if($('.invoice-item').length == 0){
            alert('Please select a invoice to save changes.');
        }else{

        var formData = $(this).serialize();
        var invoiceId = $('#invoice_id').val();
            if($("#active_check").val() == 1){
                if (confirm("Are you sure you want to make a public invoice, because it will update store stock and you cannot make changes anymore?")) {
                    $.ajax({
                        url: '{{ route('invoices_return.update', ['invoices_return' => ':invoiceId']) }}'.replace(':invoiceId', invoiceId),
                        type: 'PUT',
                        data: formData,

                        success: function(response) {
                            // $('.invoice_Area').html(response.invoice_review);
                            // $("#invoice_form :input").prop("disabled", true);
                            // $('.destroy-invoice, #submit_button').fadeOut();
                            // $('#public_note').removeClass('d-none');
                            if(response.status){
                                alert(response.message);
                            }else{
                                alert(response.message);
                            }
                        },
                        error: function(xhr, textStatus, errorThrown) {
                            alert('Error saving invoice: ' + errorThrown);
                        }
                    });
                }
            }else{
                $.ajax({
                    url: '{{ route('invoices_return.update', ['invoices_return' => ':invoiceId']) }}'.replace(':invoiceId', invoiceId),
                    type: 'PUT',
                    data: formData,

                    success: function(response) {
                        $('.invoice_Area').html(response.invoice_review);
                        $('.destroy-invoice').fadeOut();
                        // alert('Invoice saved successfully');
                        if(response.status){
                            alert(response.message);
                        }else{
                            alert(response.message);
                        }
                    },
                    error: function(xhr, textStatus, errorThrown) {
                        alert('Error saving invoice: ' + errorThrown);
                    }
                });
            }


        }
    });
</script>


<audio id="beepSound" preload="auto">
  <source src="{{url('/')}}/sounds/beep.wav" type="audio/mpeg">
</audio>
