@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\InvoiceClass;
    use App\General\UserClass;
    $logged_in_user = Auth::user();
@endphp

<!-- Page Inner Start -->
<div class="page-inner">
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Return Inovices List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                        Dashboard</a>
                    <span class="breadcrumb-item">Point of Sale</span>
                    <span class="breadcrumb-item active">Return Invoices List</span>
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/invoices_return/create'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="package" class="wd-16 mr-2"></i>Return Invoice</button>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="border border-secondary p-2">
                <form>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group mb-1" id="random-customer-section">
                                <label for="exampleFormControlSelect1">Invoice Number</label>
                                <input type="text" class="form-control form-control-sm" name="invoice_number"
                                    id=""
                                    @if (isset($_GET['invoice_number'])) value="@php echo $_GET['invoice_number'] @endphp" @endif>
                            </div>
                            <div class="form-group mb-1" id="random-customer-section">
                                <label for="exampleFormControlSelect1">Customer Name</label>
                                <input type="text" class="form-control form-control-sm" name="customer_name"
                                    id=""
                                    @if (isset($_GET['customer_name'])) value="@php echo $_GET['customer_name'] @endphp" @endif>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group mb-1">
                                <label for="exampleFormControlSelect1">From Date:</label>
                                <input type="date" class="form-control form-control-sm" name="from"
                                    @if (isset($_GET['from'])) value="@php echo $_GET['from'] @endphp" @endif>
                            </div>
                            <div class="form-group mb-0">
                                <label for="exampleFormControlSelect1">To Date:</label>
                                <input type="date" class="form-control form-control-sm" name="to"
                                    @if (isset($_GET['to'])) value="@php echo $_GET['to'] @endphp" @endif>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group mb-1">
                                <label for="exampleFormControlSelect1">Order Amount:</label>
                                <input type="number" class="form-control form-control-sm" name="order_amount"
                                    placeholder="$1000"
                                    @if (isset($_GET['order_amount'])) value="@php echo $_GET['order_amount'] @endphp" @endif>
                            </div>
                            <div class="form-group mb-1">
                                <label for="exampleFormControlSelect1">Records Limit:</label>
                                <input type="number" step="1" min="1" value="20"
                                    class="form-control form-control-sm" name="limit"
                                    @if (isset($_GET['limit'])) value="@php echo $_GET['limit'] @endphp" @endif>
                            </div>
                        </div>
                        <div class="col-md-1">
                            <div class="form-group mb-0 text-right" id="random-customer-section">
                                <button type="submit" class="btn btn-primary btn-sm mt-4 w-100"><i
                                        class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="">
                <input type="search" id="quicksearch" oninput="QuickSearch()"
                    class="form-control rounded-0 border border-secondary"
                    placeholder="🔍 Quick search with invoice number...">
            </div>
            <div class="border border-secondary" style="max-width:100%;overflow-x:scroll;">
                <table class="table table-strip">
                    <thead>
                        <tr>
                            <th>#Invoice ID</th>
                            <th style="width:250px">Customer</th>
                            <th style="width:50px">Items</th>
                            <th style="width:50px">Items Retured</th>
                            <th style="width:140px">Sub Total</th>
                            <th style="width:50px">Discount</th>
                            <th style="width:140px">Discounted Total</th>
                            <th style="width:100px">GST</th>
                            <th style="width:140px">Grand Total</th>
                            <th style="width:75px">Payment Status</th>
                            <th style="width:120px">Payment Method</th>
                            <th style="width:100px">Invoice Date</th>
                            <th style="width:100px">Due Date</th>
                            <th style="width:120px">Status</th>
                            <th style="width:120px">Created By</th>
                            <th style="width:120px">Created Date</th>
                            <th style="width:120px">Updated Date</th>
                            <th style="width:100px">Action</th>
                        </tr>
                    </thead>
                    <tbody id="invoce_list_search_Area">
                        @if (sizeof($invoices) > 0)
                            @foreach ($invoices as $invoice)
                                <tr>
                                    <td><b>{{ $invoice->invoice_number }}</b></td>
                                    <td>@php
                                        if ($invoice->customer_type == 'existing') {
                                            print InvoiceClass::CreateBy($invoice->customer, $users);
                                        } else {
                                            echo $invoice->customer;
                                        }
                                    @endphp</td>
                                    <td>{{ $invoice->total_units }}</td>
                                    <td>{{ $invoice->units }}</td>
                                    <td>${{ $invoice->sub_total }}</td>
                                    <td>{{ $invoice->discount }}%</td>
                                    <td>${{ $invoice->discounted_amount }}</td>
                                    <td>${{ $invoice->gst }}</td>
                                    <td>${{ $invoice->grand_total }}</td>
                                    @if ($invoice->payment_status == 'Paid')
                                        <td>
                                            <div class="badge bg-success text-light">{{ $invoice->payment_status }}
                                            </div>
                                        </td>
                                    @elseif($invoice->payment_status == 'Un-Paid')
                                        <td>
                                            <div class="badge bg-secondary text-light">{{ $invoice->payment_status }}
                                            </div>
                                        </td>
                                    @endif
                                    <td>{{ $invoice->payment_method }}</td>
                                    <td>{{ InvoiceClass::convertDateToDDMMYYYY($invoice->invoice_date) }}</td>
                                    <td>{{ InvoiceClass::convertDateToDDMMYYYY($invoice->due_date) }}</td>
                                    <td>
                                        @if ($invoice->active == 0)
                                            Draft
                                        @elseif($invoice->active == 1)
                                            Public
                                        @endif
                                    </td>
                                    <td>@php print(InvoiceClass::CreateBy($invoice->created_by,$users)); @endphp</td>
                                    <td>{{ formatDate($invoice->created_at, false) }}</td>
                                    <td>{{ formatDate($invoice->updated_at, false) }}</td>
                                    <td>
                                        @if (Session::has('permissions') && in_array('Print Return', Session::get('permissions')))
                                        <button type="button" class="btn badge btn-warning p-1 generate-pdf-button" data-invoice-id="{{ $invoice->id }}"><i class="fa fa-print"></i></button>
                                         @endif
                                         @if (Session::has('permissions') && in_array('Edit Return', Session::get('permissions')))
                                        <a class="btn badge btn-warning p-1" href="{{ route('invoices_return.edit', $invoice->id) }}">Edit</a>
                                       @endif
                                        @if ($invoice->status == 0)
                                         @if (Session::has('permissions') && in_array('Delete Return', Session::get('permissions')))
                                            <button type="button" class="btn badge btn-danger p-1 destroy-invoice"
                                                action-url="{{ route('invoice_return.is_delete', $invoice->id) }}">Delete</button>
                                                @endif
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="17" class="text-center">No Record Found!</th>
                            </tr>
                        @endif
                    </tbody>
                </table>
                <div class="w-100 d-flex justify-content-center p-2">
                    <div class="d-flex">
                        {!! $invoices->links('pagination::bootstrap-4') !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--/ Page Inner End -->

@include('Admin.Includes.footer')
<script>
    $(document).ready(function() {

        $('.destroy-invoice').click(function() {
            let action_url = $(this).attr('action-url');
            if (confirm("Are you sure you want to delete this invoice?")) {
                $(this).text('Deleting...');
                $dlt_button = $(this);
                $.ajax({
                    url: action_url,
                    type: 'POST',
                    data: {
                        '_token': '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        $dlt_button.parent().parent().fadeOut();
                    },
                    error: function(xhr, textStatus, errorThrown) {
                        $dlt_button.text('Delete');
                        alert('Error deleting invoice: ' + errorThrown);
                    }
                });
            }
        });

        $('.generate-pdf-button').click(function() {
            // Get the invoice ID from the button's data attribute
            var invoiceId = $(this).data('invoice-id');

            // Make the Ajax request
            $.ajax({
                url: '/admin/return_invoice/download/' + invoiceId,
                type: 'GET',
                success: function(response) {
                    var printWindow = window.open('', '', 'width=1200,height=720');
                    printWindow.document.open();
                    printWindow.document.title = 'POS INvOICE';
                    printWindow.document.write('<html><head><title>Print Invoice - ' +
                        invoiceId +
                        '</title><link href="{{ url('/') }}/AdminAssets/assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet"></head><body>'
                        );
                    printWindow.document.write('<div class="invoice_Area">' + response
                        .invoice_review + '</div>');
                    printWindow.document.write('</body></html>');
                    printWindow.document.close();

                    printWindow.print();
                },
                error: function(error) {
                    // Handle any errors that occur during the request
                    console.error(error);
                }
            });
        });
    });

    function QuickSearch() {
        var input, filter, table, tr, td, i, txtValue;
        input = document.getElementById("quicksearch");
        filter = input.value.toUpperCase();
        table = document.getElementById("invoce_list_search_Area");
        tr = table.getElementsByTagName("tr");

        for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td")[0];
            if (td) {
                txtValue = td.textContent || td.innerText;
                if (txtValue.toUpperCase().indexOf(filter) > -1) {
                    tr[i].style.display = "";
                } else {
                    tr[i].style.display = "none";
                }
            }
        }
    }
</script>
