@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
    use App\General\InvoiceClass;
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Subscription List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                        Dashboard</a>
                    <span class="breadcrumb-item active">Subscription List</span>
                </div>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="success-message"></div>
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Newsletter Subscription List') }}</h6>
                    </div>
                     @if (Session::has('permissions') && in_array('Delete All Newsletter', Session::get('permissions')))
                    <div>
                        <button class="btn btn-danger" name="multi_delete" id="multi_delete"
                            onclick="return confirm('Are you sure? Newsletter Subscription will permanently be deleted!')">Delete
                            All</button>
                    </div>
               @endif
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th width="15px"><input type="checkbox" id="all_checked" name="checkall" value="">
                            </th>
                            <th width="330px">Email</th>
                            <th width="330px">State</th>
                            <th width="330px">Business Type</th>
                            <th>Created At</th>
                            @if (Session::has('permissions') && in_array('Delete Newsletter', Session::get('permissions'))) <th width="100px">Actions</th>@endif
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($subscriptions as $subscription)
                            <tr>
                                <td><input type="checkbox" data-id="{{ $subscription->id }}" name="check_it"
                                        class="mx-2 checkbox" value=""></td>
                                <td>{{ $subscription->email }}</td>
                                <td>{{ $subscription->state ?? "Null" }}</td>
                                <td>{{ $subscription->business_type ?? "Null" }}</td>
                                <td>{{ InvoiceClass::convertDateToDDMMYYYY($subscription->created_at) }}</td>
                                @if (Session::has('permissions') && in_array('Delete Newsletter', Session::get('permissions')))
                                <td>
                                    @if ($subscription->id)
                                        <form action="{{ route('Admin.Subscription.destroy', ['id' => $subscription->id]) }}">
                                            @csrf
                                            @method('DELETE')
                                             
                                            <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                                <button class="btn btn-danger" type="submit"
                                                    onclick="return confirm('Are you sure? Subscription will permanently be deleted!')">Delete</button>
                                            </div>
                                       
                                        </form>
                                    @endif
                                </td>
                            @endif
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th></th>
                            <th width="330px">Email</th>
                            <th width="330px">State</th>
                            <th width="330px">Business Type</th>
                            <th>Created At</th>
                            @if (Session::has('permissions') && in_array('Delete Newsletter', Session::get('permissions'))) <th width="100px">Actions</th>@endif
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')

<script>
    function handleCheckAll() {
        var checkAllCheckbox = document.getElementById("all_checked");
        var checkboxes = document.querySelectorAll('#data_Table tbody input[name="check_it"]');
        checkboxes.forEach(function(checkbox) {
            checkbox.checked = checkAllCheckbox.checked;
        });
    }
    // Attach the handleCheckAll function to the "Check All" checkbox's click event
    document.getElementById("all_checked").addEventListener("click", handleCheckAll);

    $(document).ready(function() {
        $('#multi_delete').click(function() {
            var selectedIds = [];
            $('.checkbox:checked').each(function() {
                selectedIds.push($(this).data('id'));
            });
            if (selectedIds.length > 0) {
                $.ajax({
                    url: "{{ route('Admin.subscription.bulk-delete') }}",
                    type: "POST",
                    data: {
                        _token: "{{ csrf_token() }}",
                        ids: selectedIds
                    },
                    success: function(response) {
                        $('.success-message').html(
                            `<div class="alert alert-success mt-1">${response.message}</div>`
                            );
                        location.reload();
                    },
                    error: function(xhr, status, error) {
                        console.error(error);
                    }
                });
            } else {
                // alert("Please select at least one record to delete.");
                // Show the alert message in the .success-message div
                $('.success-message').html(
                    `<div class="alert alert-success mt-1">Please select at least one record to delete.</div>`
                    );
            }
        });
    });
</script>

<script>
    $(document).ready(function() {
        $(".get_data").on("click", function() {
            var queryId = $(this).attr("id");
            $.ajax({
                type: "GET",
                url: "/contact_details/" + queryId,
                success: function(data) {
                    console.log(data);
                    $('#cont_name').text(data.f_name + ' ' + data.l_name);
                    $('#cont_email').text(data.email);
                    $('#cont_phone').text(data.phone);
                    $('#contact_message').text(data.message);
                },
                error: function() {
                    alert("Failed to fetch data.");
                }
            });
        });
    });
</script>









<script>
    function ProductUpdateStatus(productId, status, elementObj) {
        var active_status = '';
        switch (status) {
            case 0:
                active_status = 'Draft';
                break;
            case 1:
                active_status = 'Public';
                break;
            case 2:
                active_status = 'Private';
                break;
            case 3:
                active_status = 'Trash';
                break;
        }

        $.ajax({
            url: '/admin/brands/' + productId + '/update-status',
            type: 'PUT',
            data: {
                active: status,
                _token: '{{ csrf_token() }}'
            },
            success: function(response) {
                showToast('success', 'Brand status updated successfully.');
                $(elementObj).parent().parent().parent().parent().parent().siblings('.active-status').text(
                    active_status);
                if (status == 3) {
                    window.location = '{{ route('Admin.Brand.Trash') }}';
                }
            },
            error: function(xhr, status, error) {
                var errorMessage = xhr.responseJSON && xhr.responseJSON.message ? xhr.responseJSON.message :
                    'Error occurred.';
                showToast('error', errorMessage);
            }
        });
    }
</script>
