@php
    use App\General\UserClass;
@endphp
<style>
    .fontLikeH4 {
        font-size: 1.1rem !important;
        font-family: inherit;
        font-weight: 500;
        line-height: 1.2;
        color: inherit;
    }

    .card {
        width: 100% !important;
    }

    .list-group-item {
        padding: 0.75rem 0.25rem !important;
    }

    .productsCardOverflow {
        height: 540px !important;
        overflow-y: auto !important;
    }
</style>
<div class="container p-0">
    <div class="row">
        <div class="w-100 mx-3 mb-2 d-flex justify-content-end">
            <button type="button" class="btn badge btn-warning" onclick="printInvoice({{ $order->id }})"><i
                    class="fa fa-print"></i> &nbsp; Print</button>
        </div>
        <div class="col-md-8">
            <div class="card p-0">
                <div class="card-body">
                    <div class="header">
                        <span class="py-2 px-3 rounded fontLikeH4"
                            style="background-color: #ef6b6b;">{{ ucwords($order->order->status) }}</span>
                        <span class="mx-3">Invoice# {{ $order->order->invoice_number }}</span>
                    </div>
                    <div class="p-3 mt-3 card" style="border: 1px solid rgba(70, 95, 145, 0.1);">
                        <h5>Order Details:</h5>
                        <h6 class="card-subtitle mb-3 text-muted">Location: <span
                                style="font-size: 14px;font-weight: 400;">{{ $order->order->city }} </span>,
                            <span style="font-size: 14px;font-weight: 400;">{{ $order->order->suburb }} </span>,
                            <span style="font-size: 14px;font-weight: 400;">{{ $order->order->post_code }}</span>
                        </h6>
                        <h6 class="card-subtitle mb-3 text-muted">State: <span
                                style="font-size: 14px;font-weight: 400;">{{ $order->order->state }} </span></h6>
                        <h6 class="card-subtitle mb-3 text-muted">Street Address: <span
                                style="font-size: 14px;font-weight: 400;"> {{ $order->order->street_address }}
                            </span></h6>
                    </div>
                    <div class="card mt-3">
                        <h5>Product Details:</h5>
                        <div class="card-body row productsCardOverflow">
                            @foreach ($order->returnMeta as $product)
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-2 d-flex align-items-center justify-content-center">
                                            @if (isset($product->product) && !empty($product->product->featured_image))
                                                <img src="{{ url('/') . '/' . $product->product->featured_image }}"
                                                    alt="Product Image" class="img-fluid">
                                            @else
                                                <img src="{{ url('/') }}/WebsiteAssets/images/default-product.png"
                                                    alt="Default Image" class="img-fluid">
                                            @endif
                                        </div>
                                        <div class="col-md-5 py-2">
                                            <h6>{{ $product->product->title ?? 'Null' }}</h6>
                                            <p class="mb-0">SKU: {{ $product->product->sku ?? 'Null' }}</p>
                                        </div>
                                        <div class="col-md-3 d-flex justify-content-center align-items-center">
                                            <ul class="p-0 px-3" style="list-style: none;">
                                                <li>Price</li>
                                                <li class="text-center">{{ $product->price ?? 0 }}</li>
                                            </ul>
                                            <ul class="p-0 px-3" style="list-style: none;">
                                                <li>Quantity</li>
                                                <li class="text-center">{{ $product->quantity ?? 0 }}</li>
                                            </ul>
                                        </div>
                                        <div class="col-md-2 d-flex justify-content-between align-items-center">
                                            <ul class="p-0 px-3" style="list-style: none;">
                                                <li>Total</li>
                                                <li class="text-center">{{ $product->subTotal ?? 0 }}</li>
                                            </ul>
                                        </div>
                                    </div>
                                    <hr>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card">
                <div class="card-body p-0">
                    <div class="d-flex justify-content-between align-items-center">
                        <h5 class="card-title">Order Summary</h5>
                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between">
                            <p class="mb-0">Grand Total:</p>
                            <p class="mb-0">${{ $order->grandTotal ?? 0 }}</p>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="card mt-3">
                <div class="card-body p-0">
                    <h5 class="card-title">Customer Details</h5>
                    <hr>
                    <div class="">
                        @if ($user)
                            <h6>{{ $user->name ?? 'Guest' }}</h6>
                            <p>Order {{ $orderCount }}</p>
                            <h6>Email:</h6>
                            <p>{{ $user->email ?? 'Guest User' }}</p>
                            <h6>Phone:</h6>
                            <p>{{ $user->phone ?? 'Guest User' }}</p>
                            <h6> Business Name:</h6>
                            <p>{{ UserClass::getOptionValue('_b_name', $user->userMeta) ?? 'Not Added' }}</p>
                            <h6> Address:</h6>
                            <p>{{ UserClass::getOptionValue('_address', $user->userMeta) ?? 'Not Added' }}</p>
                        @else
                            <h6>Order is placed by the Guest User.</h6>
                            <h6 class="mb-0">Email:</h6>
                            <p>{{ $order->user_email ?? '' }}</p>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
