@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\InvoiceClass;
    use Carbon\Carbon;
    $logged_in_user = Auth::user();
@endphp
<style>
    .hiddenButton{
        background: transparent;
        border: none;
        outline: none;
        cursor: pointer;
        color: blue;
        font-weight: 400;
    }
</style>
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Cancelled Orders List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin">
                        Dashboard</a>
                    <span class="breadcrumb-item active">Cancelled Orders List</span>
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/orders'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="box" class="wd-16 mr-2"></i>Orders List</button>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Cancelled Orders List') }}</h6>
                    </div>
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th class="col-1">Order</th>
                            <th class="col-1">Date</th>
                            <th class="col-2">Customer</th>
                            <th class="col-1">Channel</th>
                            <th class="col-1">Total</th>
                            <th class="col-2">Payment Method</th>
                            <th class="col-2">Status</th>
                            <th class="col-2">Fulfillment Status</th>
                            <th class="col-1">Item</th>
                            <th class="col-1">Delivery</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($orders as $key => $order)
                            <tr>
                                <td>{{ $key + 1 }}</td>
                                <td>
                                    <form action="{{ route('Website.Return.Order.Details') }}">
                                        @csrf
                                        <input type="hidden" class="form-control" name="invoice_number" id="order_id"
                                            value="<?php echo !empty($order->invoice_number) ? $order->invoice_number : ''; ?>" placeholder="Invoice Number">
                                        <button type="submit" class="hiddenButton">{{ $order->invoice_number }}</button>
                                    </form>
                                </td>
                                <td>
                                    @php
                                        $carbonDate = Carbon::parse($order->created_at);
                                    @endphp
                                    {{ InvoiceClass::convertDateToDDMMYYYY($carbonDate->toDateString()) }}
                                </td>
                                <td>{{ $order->f_name . ' ' . $order->l_name ?? '' }}</td>
                                <td>{{ $order->channel }}</td>
                                <td>
                                    @if ($order->grand_total < 0)
                                        $0
                                    @else
                                        ${{ $order->grand_total }}
                                    @endif
                                </td>
                                <td>
                                    {{ $order->payment_method }}
                                </td>
                                <td><span
                                        style="background-color: rgb(224, 219, 219);border-radius:10px;padding:5px 10px 5px 10px">{{ ucwords($order->payment_status) ?? '' }}</span>
                                </td>
                                <td>
                                    {{ ucwords($order->status) }}
                                </td>
                                <td>{{ count($order->orderMeta) }} item</td>
                                <td>${{ $order->delivery_charges ?? 0 }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>#</th>
                            <th class="col-1">Order</th>
                            <th class="col-1">Date</th>
                            <th class="col-2">Customer</th>
                            <th class="col-1">Channel</th>
                            <th class="col-1">Total</th>
                            <th class="col-2">Payment Method</th>
                            <th class="col-2">Status</th>
                            <th class="col-2">Fulfillment Status</th>
                            <th class="col-1">Item</th>
                            <th class="col-1">Delivery</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
