@include('Admin.Includes.header')
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="container-fluid">
                 <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pl-2 pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Products Types') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="#"><i class="icon ion-ios-home-outline"></i> Products</a>
                           <span class="breadcrumb-item active">Products Types</span>
                        </div>
                     </div>
                  </div>
               </div>
               <!--/ Breadcrumb End -->
                <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">
                    <div class="row">
                         @if (Session::has('permissions') && in_array('Product Type Add', Session::get('permissions')))
                        <div class="col-md-4">
                            <div class="card mg-b-30">
                               <div class="card-header">
                                  <div class="d-flex justify-content-between align-items-center">
                                     <div>
                                        <h6 class="card-header-title tx-13 mb-0">{{ __('Add Product Type') }}</h6>
                                     </div>
                                  </div>
                               </div>
                               <div class="card-body">
                                  <form id="product-type-form" action="{{ route('product-type.store') }}" method="POST">
                                  @csrf
                                  <div class="form-group">
                                        <label class="form-control-label active">Title: <span class="tx-danger" style="color: red;">*</span></label>
                                        <input class="form-control restrict-input-alphabets_space addTitle" type="text" pattern="[A-Za-z_]+" name="title" placeholder="title" required>
                                     </div>
                                     <div class="form-group">
                                        <label class="form-control-label active">SKU: <span class="tx-danger" style="color: red;">*</span></label>
                                        <input class="form-control restrict-input-alphabets addSku" type="text" pattern="[A-Za-z_]+" name="sku" placeholder="sku" required>
                                     </div>
                                     <hr>
                                     <button class="btn btn-primary" type="button" onclick="add_product_form()">Add</button>
                                  </form>
                                  <div class="response_section"></div>
                               </div>
                            </div>
                        </div>
                       @endif
                        <div class="col-md-8">
                            <div class="card mg-b-30">
                               <div class="card-header">
                                  <div class="d-flex justify-content-between align-items-center">
                                     <div>
                                        <h6 class="card-header-title tx-13 mb-0">{{ __('Products Types') }}</h6>
                                     </div>
                                  </div>
                               </div>
                               <div class="card-body pd-0">
                                  <table class="table hover responsive display nowrap" style=" width: 100% !important;">
                                     <thead>
                                        <tr>
                                           <th>Title</th>
                                           <th>SKU</th>
                                           <th width="180px">Actions</th>
                                        </tr>
                                     </thead>
                                     <tbody class="product_type_rows">
                                     @if(sizeof($products) > 0)
                                        @foreach($products as $producttype)
                                        <tr class="product-row">
                                            <td>{{$producttype->title}}</td>
                                            <td>{{$producttype->sku}}</td>
                                            <td>
                                                <form action="{{ route('product-type.destroy', $producttype->id) }}" method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                   @if (Session::has('permissions') && (in_array('Product Type Edit', Session::get('permissions'))  ||in_array('Product Type Delete', Session::get('permissions'))))
                                                    <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                                        @if (Session::has('permissions') && in_array('Product Type Edit', Session::get('permissions')))
                                                        <button type="button" class="btn btn-warning" product-id="{{$producttype->id}}" onclick="edit_product_model(this)">Edit</button>
                                                        @endif
                                                         @if (Session::has('permissions') && in_array('Product Type Delete', Session::get('permissions')))
                                                        <button class="btn btn-danger" type="submit" onclick="return confirm('{{ __('Are you sure?') }}')">Delete</button>
                                                    @endif
                                                    </div>
                                                    @endif
                                                </form>
                                            </td>
                                        </tr>
                                        @endforeach
                                     @else
                                        <tr class="product-null">
                                            <td colspan="3" class="center">No Product Found!</td>
                                        </tr>
                                     @endif
                                     </tbody>
                                     <tfoot>
                                        <tr>
                                           <th>Title</th>
                                           <th>SKU</th>
                                           <th width="180px">Actions</th>
                                        </tr>
                                     </tfoot>
                                  </table>
                               </div>
                            </div>
                        </div>
                    </div>
                        
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!-- Modal -->
<div class="modal fade" id="ProductModalCenter" tabindex="-1" role="dialog" aria-labelledby="ProductModalCenter" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ProductModalCenter">Update Product</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body edit-product-form">
      </div>
    </div>
  </div>
</div>
@include('Admin.Includes.scripts')

<script>
  $('.addTitle').on('input', function() {
    var title = $(this).val();
    var sku = title.replace(/\s+/g, '-').toLowerCase();
    $('.addSku').val(sku);
  });
  function add_product_form(){
    var form = $('#product-type-form');
    var url = form.attr('action');
    var method = form.attr('method');
    var data = form.serialize();

    $.ajax({
        url: url,
        method: method,
        data: data,
        dataType: 'json',
        success: function(response) {
            $('.response_section').html('<div class="alert alert-success my-1">' + response.message + '</div>');
            // $('.product-null').remove();
            $('input[name=title], input[name=sku]').val('');
            $('.product_type_rows').append(response.new_category);
        },
        error: function(xhr) {
                var errors = xhr.responseJSON.errors;
                var errorMessage = '<ul>';

                if (errors) {
                    $.each(errors, function(key, value) {
                        errorMessage += '<li>' + value[0] + '</li>';
                    });
                } else {
                    errorMessage = '<li>Server Error, Try Again Later!</li>';
                }
                errorMessage = errorMessage+'</ul>';
                $('.response_section').html('<div class="alert alert-danger my-1">' + errorMessage + '</div>');
        }
    });
  }
  function edit_product_model(elementObj){
      var row_index = $(elementObj).parent().parent().parent().parent('.product-row').index();
      var product_id = $(elementObj).attr('product-id');
      $.ajax({
            type: "GET",
            url: "{{url('/')}}/admin/product-type/"+product_id,
            data: {
            '_token':'{{csrf_token()}}'
            },
            success: function(response) {
                var update_form = `
                        <form id="product-update-form">
                            <input type="hidden" class="update_id" value="${product_id}">
                            <input type="hidden" class="product_index_" name="row_index" value="${row_index}">
                            <div class="form-group">
                            <label class="form-control-label active">Title: <span class="tx-danger" style="color: red;">*</span></label>
                            <input class="form-control updateTitle" oninput="restrict_input_alphabets_space_updateTitle(this)" type="text" name="title" placeholder="title" value="${response.product_details.title}" required>
                            </div>
                            <div class="form-group">
                            <label class="form-control-label active">SKU: <span class="tx-danger" style="color: red;">*</span></label>
                            <input class="form-control updateSku" oninput="restrict_input_alphabets_updateSku(this)" type="text" name="sku" placeholder="sku" value="${response.product_details.sku}" required>
                            </div>
                            <hr>
                            <button class="btn btn-primary" type="button" onclick="submit_update_product()">Save</button>
                        </form>
                        <div class="update-response-section"></div>`;
                $('.edit-product-form').html(update_form);
                $('#ProductModalCenter').modal('show');
            },
            error: function(xhr, status, error) {
                console.log(error);
            }
      });
  }
  function restrict_input_alphabets_space_updateTitle(elementObj) {
    var username = $(elementObj).val();
    var pattern = /^[A-Za-z0-9- ]+$/;
    if (!pattern.test(username)) {
        $(elementObj).val(username.replace(/[^A-Za-z0-9- ]+/g, ''));
    }
    var title = $(elementObj).val();
    var sku = title.replace(/\s+/g, '-').toLowerCase();
    $('.updateSku').val(sku);
  }
  function restrict_input_alphabets_updateSku(elementObj){
    var username = $(elementObj).val();
    var pattern = /^[A-Za-z0-9-]+$/;
    if (!pattern.test(username)) {
        $(elementObj).val(username.replace(/[^A-Za-z0-9-]+/g, ''));
    }
  }

  function submit_update_product(){
    var formdata = $('#product-update-form').serialize();
    formdata += '&_token=' + $('meta[name="csrf-token"]').attr('content');
    var u_Product = $('.update_id').val();
    var product_index_ = $('.product_index_').val();
    $.ajax({
        type: "PUT",
        url: "{{ url('/admin/product-type/') }}/" + u_Product,
        data: formdata,
        success: function(response) {
            $('.update-response-section').html('<div class="alert alert-success my-1">' + response.message + '</div>');
            $('.product-row').eq(product_index_).html(response.updated_row);
            $('input[name=title], input[name=sku]').val('');
        },
        error: function(xhr, status, error) {
            var errors = xhr.responseJSON.errors;
            var errorMessage = '<ul>';

            if (errors) {
                $.each(errors, function(key, value) {
                    errorMessage += '<li>' + value[0] + '</li>';
                });
            } else {
                errorMessage = '<li>Server Error, Try Again Later!</li>';
            }
            errorMessage = errorMessage+'</ul>';
            $('.update-response-section').html('<div class="alert alert-danger my-1">' + errorMessage + '</div>');
        }
    });
  }
</script>
