@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    $logged_in_user = Auth::user();
@endphp

<style>
.img-preview {
  max-width: 200px;
  height: auto;
  margin: 10px;
}

.btn-remove {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1;
}
.preview-wrapper {
  position: relative;
  display: inline-block;
  border: 2px solid transparent; 
  margin: 5px;
}
.preview-wrapper.selected {
  border-color: #007bff;
}
.radio-button {
  position: absolute;
  top: 5px;
  left: 5px;
}
  </style>
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Edit Product') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="{{url('/')}}/admin/products">Products</a>
                           <span class="breadcrumb-item active">Edit</span>
                        </div>
                     </div>
                     <div class="d-flex align-items-center">
                        @if (Session::has('permissions') && in_array('Product List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/products'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="package" class="wd-16 mr-2"></i>Product List</button>
                       @endif
                        @if (Session::has('permissions') && in_array('Product Trash List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/products/list/trash'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="package" class="wd-16 mr-2"></i>Trash List</button>
                       @endif
                        @if (Session::has('permissions') && in_array('Create Product', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/products/create'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="package" class="wd-16 mr-2"></i>Create Product</button>
                     @endif
                     </div>
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">

                        @if(session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                    <li>If you have already selected featured image, Please select it again!</li>
                                </ul>
                            </div>
                        @endif
                        <form id="product-create-form" method="POST" action="{{ route('products.update', $product->id) }}" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <input type="hidden" name="created_by" value="{{$logged_in_user->id}}">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product Details (Compulsory)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Title: <span class="tx-danger">*</span></label>
                                                <input class="form-control form-control-lg restrict-input-alphabets_space addTitle" type="text" name="title" placeholder="Shoulder Bag" value="{{ old('title',$product->title) }}" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Permalink: <span class="tx-danger">*</span></label>
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text input-group-text">{{url('/')}}/shop/</span>
                                                    </div>
                                                    <input class="form-control form-control restrict-input-alphabets permalink" id="permalink" type="text" name="permalink" value="{{ old('permalink',$product->permalink) }}" placeholder="shoulder-bag" required>
                                                </div>
                                                <div class="text-danger permalink_error"></div>
                                                <input type="hidden" class="permalink_status" name="permalink_status" value="{{ old('permalink_status',1) }}" required>
                                            </div>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product Details (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Short Description: </label>
                                                <textarea class="form-control" id="short_description" name="short_description" placeholder="Short Description...">{{ old('short_description',$product->short_description) }}</textarea>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Long Description: </label>
                                                <textarea class="form-control" id="long_description" name="long_description" placeholder="Long Description..."> {{ old('long_description',$product->long_description) }}</textarea>
                                            </div>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Gallery Media (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body gallery-media">
                                       <div class="input-group mb-3">
                                         <input type="file" class="form-control" id="imageInput" name="gallery_media[]" multiple accept="image/*" placeholder="Select Images">
                                         <button type="button" class="btn btn-priamry" onclick="uploadImages()">Uploade</button>
                                        </div>
                                      
                                        <div class="row mt-3" id="imagePreviewContainer">
                                          @if($product->gallery_media != '')
                                            @php
                                              $imagePaths = explode(',', $product->gallery_media);
                                            @endphp
                                            @foreach($imagePaths as $imagePath)
                                              <img class="m-1" src="{{ url('/').'/'.$imagePath }}" width="25%" height="25%">
                                            @endforeach
                                          @endif   
                                        </div>
                                        <div class="response_section"> </div>
                                        <small class="text-secondary">Select a fetured image by clicking on an image</small>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product SEO Details (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Title: </label>
                                                <input type="text" class="form-control" name="_seo_title" value="{{ old('_seo_title', ProductClass::getOptionValue('_seo_title', $product->productMeta)) }}" placeholder="SEO Title...">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Tags: </label>
                                                <input type="text" name="_seo_tags" value="{{ old('_seo_tags', ProductClass::getOptionValue('_seo_tags', $product->productMeta)) }}" class="form-control rounded-0" id="seo_tags">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">SEO Description: </label>
                                                <textarea class="form-control" name="_seo_description" placeholder="SEO Description...">{{ old('_seo_description', ProductClass::getOptionValue('_seo_description', $product->productMeta)) }}</textarea>
                                            </div>
                                       </div>
                                    </div>
                                </div>
                                
                                <div class="col-md-3">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Shipping Areas (Required)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Select Shipping Area: </label>
                                                <select class="select2-demo form-control" name="area_group_id[]" multiple style="width: 100%" required>
                                                <optgroup label="Over the Globe">
                                                    <option value="0" @if($product->area_group_id === 'all') selected @endif>All Countries</option>
                                                </optgroup>
                                                @foreach ($areagroups as $areagroup)
                                                    <optgroup label="{{ $areagroup->title }}">
                                                        @foreach ($areagroup->groupsMeta as $groupmeta)
                                                            @php
                                                                $selectedValues = explode(',', $product->area_group_id);
                                                            @endphp
                                                            <option value="{{ $groupmeta->postcode }}" @if(in_array($groupmeta->postcode, $selectedValues)) selected @endif>{{ $groupmeta->title }}</option>
                                                        @endforeach
                                                    </optgroup>
                                                @endforeach
                                            </select>

                                            </div>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('More Details (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                       <div class="form-group">
                                            <label class="form-control-label active">Brand: </label>
                                            <select class="select2-demo form-control" name="brand_id" style="width: 100%">
                                            <option value="0" selected>Select Brand</option>
                                                @foreach($brands as $brand)
                                                    <option value="{{$brand->id}}" @if($product->brand_id == $brand->id) selected @endif>{{$brand->title}}</option>
                                                @endforeach
                                            </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Discount: </label>
                                                <select class="form-control"  name="discount_id">
                                                <option value="0" selected>Select Discount On Product</option>
                                                  @foreach($discounts as $discount)
                                                  <option value="{{$discount->id}}" @if($product->discount_id == $discount->id) selected @endif>{{$discount->title}}</option>
                                                  @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">GST Included: </label>
                                                <select class="form-control" id="_gst" name="_gst">
                                                    <option disabled selected>Add GST On Product</option>
                                                    <option value="1" @if(ProductClass::getOptionValue('_gst', $product->productMeta) == 1) selected @endif>True</option>
                                                    <option value="0" @if(ProductClass::getOptionValue('_gst', $product->productMeta) == 0) selected @endif>False</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                            <label class="form-control-label active">Product Type: </label>
                                            <select class="select2-demo form-control" name="product_type" style="width: 100%">
                                                @foreach($producttypes as $producttype)
                                                    <option value="{{$producttype->id}}" @if($product->product_type == $producttype->id) selected @endif>{{$producttype->title}}</option>
                                                @endforeach
                                            </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Product Varient: </label>
                                                <select class="form-control" id="variant" name="variant">
                                                    <option value="1"  @if(old('variant', $product->variant) == 1 ) selected @endif >Individual</option>
                                                    <option value="2"  @if(old('variant', $product->variant) == 2 ) selected @endif >Kit Product</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Product Stock: </label>
                                                <input class="form-control" type="number" min="0"  value="{{ old('_stock', ProductClass::getOptionValue('_stock', $product->productMeta)) }}" step="1" name="_stock" >
                                            </div>
                                            <div class="form-group regular_price_Section">
                                                <label class="form-control-label active">Buy Price: </label>
                                                <input class="form-control" type="number" min="0" value="{{ old('_buy_price', ProductClass::getOptionValue('_buy_price', $product->productMeta)) }}" step="0.1" name="_buy_price" required>
                                            </div>
                                            <div class="form-group regular_price_Section">
                                                <label class="form-control-label active">Price: </label>
                                                <input class="form-control" type="number" min="0" value="{{ old('_price', ProductClass::getOptionValue('_price', $product->productMeta)) }}" step="0.1" name="_price">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">SKU:(Required) </label>
                                                <input class="form-control" type="text"  value="{{ old('sku',$product->sku) }}" name="sku"  required>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">weight: </label>
                                                <input class="form-control" type="text"  value="{{ old('_weight', ProductClass::getOptionValue('_weight', $product->productMeta)) }}" name="_weight" >
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">UPC/Barcode:(Required) </label>
                                                <input class="form-control" type="text" value="{{ old('_upc', ProductClass::getOptionValue('_upc', $product->productMeta)) }}"  name="_upc" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Active Status: </label>
                                                <select class="form-control" name="active">
                                                    <option value="0" @if(old('active', $product->active) == 0 ) selected @endif  >Draft</option>
                                                    <option value="1" @if(old('active', $product->active) == 1 ) selected @endif>Public</option>
                                                    <option value="2" @if(old('active', $product->active) == 2 ) selected @endif >Private</option>
                                                    <option value="3" @if(old('active', $product->active) == 3 ) selected @endif >Trash</option>
                                                </select>
                                            </div>
                                            
                                            <hr>
                                                <div class="custom-control custom-checkbox">                                                
                                                    <input type="checkbox" class="custom-control-input" name="_virtual" value="1" id="customCheckvirtual" @if(old('_virtual',  ProductClass::getOptionValue('_virtual', $product->productMeta) == 1)) checked @endif>
                                                    <label class="custom-control-label" for="customCheckvirtual">Is this a featured Product?</label>
                                                </div>
                                            <hr>
                                            <input class="btn btn-primary float-right" type="submit" value="Update">
                                            <input class="btn btn-secondary float-right mx-1" type="button" onclick="window.location = '{{url('/')}}/admin/products'" value="Cancel">
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Featured Media (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Featured Image: </label>
                                                <input class="form-control" name="featured_image" accept="image/*" type="file" id="featuredimageInput">
                                                <div class="text-secondary"><small>Preferred Dimension: (720px) x (800px)</small></div>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Featured Image Alt: </label>
                                                <input class="form-control" name="_alt" type="text" value="{{old('_alt', ProductClass::getOptionValue('_alt', $product->productMeta))}}">
                                            </div>
                                            <div id="featuredimagePreview">
                                                @if($product->featured_image != '')
                                                    <img src="{{url('/')}}/{{$product->featured_image}}" width="100%" height="auto">
                                                @endif
                                            </div>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product Category (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                          <div class="form-group">
                                          <label class="form-control-label active">Main Category: </label>
                                          <select class="form-control" id="main_category" name="category_id">
                                          <option value="" selected>Select Category</option>
                                          @foreach($categories as $category)
                                          <option value="{{$category->id}}">{{$category->title}}</option>
                                          @endforeach
                                          </select>
                                          </div>
                                          <div class="form-group">
                                          <label class="form-control-label active">Child Category: </label>
                                          <select class="form-control" id="child_category" name="child_category">
                                          <option value="" selected disabled>Select Child Category</option>
                                          </select>
                                          </div>
                                          <div class="form-group">
                                          <label class="form-control-label active">Sub Child Category: </label>
                                          <select class="form-control" id="grand_child_category" name="grand_child_category">
                                          <option value="" selected disabled>Select Sub Child Category</option>
                                          </select>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Product Action') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                             <p>Created By: @php print(ProductClass::CreateBy($product->created_by)); @endphp</p>               
                                             <p>Created Date: {{formatDate($product->created_at, false)}}</p>               
                                             <p>Updated Date: {{formatDate($product->updated_at, false)}}</p>               
                                       </div>
                                    </div>
                                </div>
                            </div>
                         </form>
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!--/ Page Inner End -->
            


            
@include('Admin.Includes.footer')

<script>
  $('.addTitle').on('input', function() {
    var title = $(this).val();
    var sku = title.replace(/\s+/g, '-').toLowerCase();
    $('.permalink').val(sku);
    validate_permalink();
  });
  $('.permalink').on('input', function() {
    validate_permalink();
  });
  $('#short_description').summernote({
     placeholder: 'Short Description...',
     tabsize: 2,
     height: 150,
     toolbar: [
        ['style', ['bold', 'italic', 'underline', 'clear']],
        ['fontsize', ['fontsize']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['height', ['height']]
      ]
    });
  $('#long_description').summernote({
     placeholder: 'Long Description...',
     tabsize: 2,
     height: 250,
     toolbar: [
            ['style', ['bold', 'italic', 'underline', 'clear']],
            ['fontsize', ['fontsize']],
            ['color', ['color']],
            ['para', ['ul', 'ol', 'paragraph']],
            ['height', ['height']],
            ['insert', ['link']],
            ['view', ['codeview']],
     ],
     popover: {
          image: [
            ['image', ['resizeFull', 'resizeHalf', 'resizeQuarter', 'resizeNone']],
            ['float', ['floatLeft', 'floatRight', 'floatNone']],
            ['remove', ['removeMedia']]
          ],
          link: [
            ['link', ['unlink']]
          ],
          air: [
            ['color', ['color']],
            ['font', ['bold', 'underline', 'clear']],
            ['para', ['ul', 'ol', 'paragraph']],
            ['table', ['table']],
            ['insert', ['link', 'picture']]
          ]
     }

   });
   $('#seo_tags').tagsinput({ tagClass: 'badge badge-primary' });
   var imageInput = document.getElementById('featuredimageInput');
   var imagePreview = document.getElementById('featuredimagePreview');
   imageInput.addEventListener('change', function(event) {
        var selectedFile = event.target.files[0];
        if (selectedFile) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var imageElement = document.createElement('img');
                imageElement.src = event.target.result;
                imageElement.style.width = '100%';
                imageElement.style.height = 'auto';
                imagePreview.innerHTML = '';
                imagePreview.appendChild(imageElement);
            }
            reader.readAsDataURL(selectedFile);
        } else {
            imagePreview.innerHTML = '';
        }
   });
   function validate_permalink(){
        var permalink = $('#permalink').val();

        $.ajax({
            url: '{{route('Admin.Product.CheckPermalink')}}',
            method: 'POST',
            data: { permalink: permalink, _token: $('meta[name="csrf-token"]').attr('content') },
            dataType: 'json',
            success: function(response) {
                $('.permalink_status').val('1');
                $('.permalink_error').html('');
            },
            error: function(xhr, status, error) {
                console.log(xhr);
                $('.permalink_status').val('');
                $('.permalink_error').html('<small>This permalink already in used or field is empty!, Please change the permalink.</small>');
            }
        });
   }
</script>

<script>
    document.addEventListener('DOMContentLoaded', function () {
      const imageInput = document.getElementById('imageInput');
      const imagePreviewContainer = document.getElementById('imagePreviewContainer');

      imageInput.addEventListener('change', function (event) {
        const selectedImages = event.target.files;
        const imagesArray = Array.from(selectedImages);
        const existingImages = Array.from(imagePreviewContainer.querySelectorAll('img')).map(img => img.src);
        imagePreviewContainer.querySelectorAll('.preview-wrapper').forEach(wrapper => {
          const img = wrapper.querySelector('img');
          if (!imagesArray.includes(img.src)) {
            wrapper.remove();
          }
        });
        imagesArray.forEach(image => {
          if (!existingImages.includes(URL.createObjectURL(image))) {
            const reader = new FileReader();

            reader.onload = function () {
              const imgPreview = document.createElement('img');
              imgPreview.src = reader.result;
              imgPreview.classList.add('img-thumbnail', 'img-preview');
              const radioInput = document.createElement('input');
              radioInput.type = 'radio';
              radioInput.name = 'featuredImage';
              radioInput.value = '1';
              radioInput.classList.add('radio-button');
              radioInput.addEventListener('click', function () {
                setFeaturedImage(reader.result);
              });
              const removeButton = document.createElement('button');
              removeButton.type = 'button';
              removeButton.classList.add('btn', 'btn-sm', 'btn-danger','badge', 'btn-remove');
              removeButton.textContent = 'X';
              removeButton.addEventListener('click', function () {
                const previewWrapper = removeButton.parentNode;
                if (previewWrapper.classList.contains('selected')) {
                  setFeaturedImage(null);
                }
                previewWrapper.remove();
              });
              const previewWrapper = document.createElement('label');
              previewWrapper.classList.add('preview-wrapper');
              previewWrapper.appendChild(imgPreview);
              previewWrapper.appendChild(radioInput);
              previewWrapper.appendChild(removeButton);

              imagePreviewContainer.appendChild(previewWrapper);
            }

            reader.readAsDataURL(image);
          }
        });
      });

      function setFeaturedImage(imageSrc) {
        const prevSelected = document.querySelector('.preview-wrapper.selected');
        if (prevSelected) {
          prevSelected.classList.remove('selected');
          const prevRadio = prevSelected.querySelector('.radio-button');
          prevRadio.checked = false;
        }
        if (imageSrc) {
          const selectedWrapper = document.querySelector(`.preview-wrapper [value="${imageSrc}"]`).parentNode;
          selectedWrapper.classList.add('selected');
          const selectedRadio = selectedWrapper.querySelector('.radio-button');
          selectedRadio.checked = true;
        }
      }
    });
   

    $(function() {
        $('.select2-demo').each(function() {
            $(this)
            .wrap('<div class="position-relative"></div>')
            .select2({
                placeholder: 'Select value',
                dropdownParent: $(this).parent()
            });
        })
    });

function uploadImages() {
  const fileInput = $('#imageInput');
  if (fileInput[0].files.length === 0) {
    alert('Please select at least one image.');
    return;
  }

  const radioInput = $('.radio-button:checked');
  if (radioInput.length === 0) {
    alert('Please select a featured image.');
    return;
  }

  const formData = new FormData();
  const selectedFiles = fileInput[0].files;
  for (let i = 0; i < selectedFiles.length; i++) {
    formData.append('gallery_media[]', selectedFiles[i]);
  }
  formData.append('featuredImage', radioInput.val());
  const csrfToken = $('meta[name="csrf-token"]').attr('content');
  $.ajaxSetup({
    headers: {
      'X-CSRF-TOKEN': csrfToken,
    },
  });

  $.ajax({
    url: '/admin/products/add_product_variation',
    type: 'POST',
    data: formData,
    processData: false,
    contentType: false,
    success: function (response){
    $('.response_section').html('<div class="alert alert-success">' + response.message + '</div>');
  },
  error: function (xhr, status, error) {
    $('.response_section').html('<div class="alert alert-danger">Error saving data to the server.</div>');
  },
  });
}

    function dataURItoBlob(dataURI) {
      const byteString = atob(dataURI.split(',')[1]);
      const mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];
      const ab = new ArrayBuffer(byteString.length);
      const ia = new Uint8Array(ab);
      for (let i = 0; i < byteString.length; i++) {
        ia[i] = byteString.charCodeAt(i);
      }
      return new Blob([ab], { type: mimeString });
    }


const mainCategorySelect = document.getElementById('main_category');
const childCategorySelect = document.getElementById('child_category');
const grandChildCategorySelect = document.getElementById('grand_child_category');
const childCategoriesData = {!! json_encode($childcats) !!};
const grandChildCategoriesData = {!! json_encode($grandcats) !!};

function updateChildCategories(mainCategoryId) {
    // childCategorySelect.innerHTML = ''; 

    const filteredChildCategories = childCategoriesData.filter((childCategory) => {
        return childCategory.main_parent_category === mainCategoryId;
    });

    filteredChildCategories.forEach((childCategory) => {
        const option = document.createElement('option');
        option.value = childCategory.id;
        option.textContent = childCategory.child_title;
        childCategorySelect.appendChild(option);
    });

    childCategorySelect.dispatchEvent(new Event('change'));
}

function updateGrandChildCategories(childCategoryId) {
    // grandChildCategorySelect.innerHTML = ''; 

    const filteredGrandChildCategories = grandChildCategoriesData.filter((grandChildCategory) => {
        return grandChildCategory.mid_parent_category === childCategoryId;
    });

    filteredGrandChildCategories.forEach((grandChildCategory) => {
        const option = document.createElement('option');
        option.value = grandChildCategory.id;
        option.textContent = grandChildCategory.grand_title;
        grandChildCategorySelect.appendChild(option);
    });
}

mainCategorySelect.addEventListener('change', (event) => {
    const selectedMainCategoryId = event.target.value;
    updateChildCategories(selectedMainCategoryId);
});

childCategorySelect.addEventListener('change', (event) => {
    const selectedChildCategoryId = event.target.value;
    updateGrandChildCategories(selectedChildCategoryId);
});

const initialMainCategoryId = mainCategorySelect.value;
updateChildCategories(initialMainCategoryId);

const selectedMainCategoryId = {!! json_encode($product->category_id) !!};
const selectedChildCategoryId = {!! json_encode($product->child_category) !!};
const selectedGrandChildCategoryId = {!! json_encode($product->grand_child_category) !!};

if (selectedMainCategoryId) {
    mainCategorySelect.value = selectedMainCategoryId;
    updateChildCategories(selectedMainCategoryId);
}

if (selectedChildCategoryId) {
    childCategorySelect.value = selectedChildCategoryId;
    updateGrandChildCategories(selectedChildCategoryId);
}

if (selectedGrandChildCategoryId) {
    grandChildCategorySelect.value = selectedGrandChildCategoryId;
}


  </script>
