@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
@endphp
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Create Slider') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="{{url('/')}}/admin/sliders">Slider</a>
                           <span class="breadcrumb-item active">Create</span>
                        </div>
                     </div>
                    @if (Session::has('permissions') && (in_array('Create Brand Slider', Session::get('permissions'))  ||in_array('Brand Slider Trash List', Session::get('permissions'))))
                     <div class="d-flex align-items-center">
                       @if (Session::has('permissions') && in_array('Create Brand Slider', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/sliders'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="sliders" class="wd-16 mr-2"></i>Slider List</button>
                       @endif
                       @if (Session::has('permissions') && in_array('Brand Slider Trash List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/sliders/list/trash'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="sliders" class="wd-16 mr-2"></i>Trash List</button>
                    @endif
                     </div>
                  @endif
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">
                        @if(session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                    <li>If you have already selected featured image, Please select it again!</li>
                                </ul>
                            </div>
                        @endif
                        <form id="Slider-create-form" method="POST" action="{{ route('sliders.store') }}" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="created_by" value="{{$logged_in_user->id}}">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Slider Details (Compulsory)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Title: <span class="tx-danger">*</span></label>
                                                <input class="form-control form-control-lg restrict-input-alphabets_space addTitle" type="text" name="title" placeholder="HITACHI" value="{{ old('Slider_title') }}" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Description: <span class="tx-danger">*</span></label>
                                                <textarea class="form-control" name="description" placeholder="HITACHI"></textarea>
                                            </div>
                                       </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('More Details (Required)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Brand: </label>
                                                   
                                                    <select class="form-control" name="brand_id">
                                                    @foreach($brands as $brand)
                                                    <option value="{{ $brand->id }}" @if(old('active') == $brand->id) selected @endif>{{ $brand->title }}</option>
                                                    @endforeach  
                                                </select>
                                                  
                                            </div>
                                            <div class="form-group">
                                                <label class="form-control-label active">Active Status: </label>
                                                <select class="form-control" name="active">
                                                    <option value="0" @if(old('active') == 0) selected @endif >Draft</option>
                                                    <option value="1" @if(old('active') == 1) selected @endif >Public</option>
                                                    <option value="2" @if(old('active') == 2) selected @endif >Private</option>
                                                    <option value="3" @if(old('active') == 3) selected @endif >Trash</option>
                                                </select>
                                            </div>
                                            <input class="btn btn-primary float-right" type="submit" value="Submit">
                                       </div>
                                    </div>

                                    <div class="card mg-b-30">
                                       <div class="card-header">
                                          <div class="d-flex justify-content-between align-items-center">
                                             <div>
                                                <h6 class="card-header-title tx-13 mb-0">{{ __('Featured Media (Optional)') }}</h6>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="card-body">
                                            <div class="form-group">
                                                <label class="form-control-label active">Slider Image: </label>
                                                <input class="form-control" name="slider_image" accept="image/*" type="file" id="featuredimageInput">
                                                <div class="text-secondary"><small>Preferred Dimension: (1920px) x (700px)</small></div>
                                            </div>
                                            <div id="featuredimagePreview"></div>
                                       </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                         </form>
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!--/ Page Inner End -->
            
@include('Admin.Includes.footer')
<script>
       var imageInput = document.getElementById('featuredimageInput');
   var imagePreview = document.getElementById('featuredimagePreview');
   imageInput.addEventListener('change', function(event) {
        var selectedFile = event.target.files[0];
        if (selectedFile) {
            var reader = new FileReader();
            reader.onload = function(event) {
                var imageElement = document.createElement('img');
                imageElement.src = event.target.result;
                imageElement.style.width = '100%';
                imageElement.style.height = 'auto';
                imagePreview.innerHTML = '';
                imagePreview.appendChild(imageElement);
            }
            reader.readAsDataURL(selectedFile);
        } else {
            imagePreview.innerHTML = '';
        }
   });
</script>
