@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
    use App\General\InvoiceClass;
    use App\Models\Product;
    use Illuminate\Support\Str;
    use App\General\ProductClass;
@endphp
@include('Admin.Includes.header')

<style>
    .order_div {
        width: 19% !important;
    }


    .scroll_down::-webkit-scrollbar {
        width: 2px;
    }

    /* Track */
    .scroll_down::-webkit-scrollbar-track {
        box-shadow: inset 0 0 5px grey;
        border-radius: 10px;
    }

    /* Handle */
    .scroll_down::-webkit-scrollbar-thumb {
        background: grey;
        border-radius: 10px;
    }

    /* Handle on hover */
    .scroll_down::-webkit-scrollbar-thumb:hover {
        background: grey;
    }
</style>
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">Dashboard</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <span class="breadcrumb-item active">Dashboard</span>
                </div>
            </div>

        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->

    <!-- Sales Details Start -->
    <!--================================-->
    <div class="d-flex justify-content-between clearfix">
        <div class="order_div">
            <div class="card mg-b-30">
                <div class="card-body">
                    <div class="">
                        <div class="pd-0">
                            <div class="d-flex align-items-baseline mg-b-5">
                                <h1 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                                    {{ $all_orders }}</h1>
                            </div>
                            <h6 class="tx-11 tx-primary tx-uppercase">All Orders</h6>
                        </div>
                    </div>
                    <!-- row -->
                </div>
            </div>
            <!-- card -->
        </div>
        <div class="order_div">
            <div class="card mg-b-30">
                <div class="card-body">
                    <div class="">
                        <div class="pd-0">
                            <div class="d-flex align-items-baseline mg-b-5">
                                <h1 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                                    {{ $comp_orders }}</h1>
                            </div>
                            <h6 class="tx-11 tx-success tx-uppercase">Complete Orders</h6>
                        </div>
                    </div>
                    <!-- row -->
                </div>
            </div>
            <!-- card -->
        </div>
        <div class="order_div">
            <div class="card mg-b-30">
                <div class="card-body">
                    <div class="">
                        <div class="pd-0">
                            <div class="d-flex align-items-baseline mg-b-5">
                                <h1 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                                    {{ $inpro_orders }}</h1>
                            </div>
                            <h6 class="tx-11 tx-primary tx-uppercase">Inprogress Orders</h6>
                        </div>
                    </div>
                    <!-- row -->
                </div>
            </div>
            <!-- card -->
        </div>
        <div class="order_div">
            <div class="card mg-b-30">
                <div class="card-body">
                    <div class="">
                        <div class="pd-0">
                            <div class="d-flex align-items-baseline mg-b-5">
                                <h1 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                                    {{ $pend_orders }}</h1>
                            </div>
                            <h6 class="tx-11 tx-warning tx-uppercase">Pending Orders</h6>
                        </div>
                    </div>
                    <!-- row -->
                </div>
            </div>
            <!-- card -->
        </div>
        <div class="order_div">
            <div class="card mg-b-30">
                <div class="card-body">
                    <div class="">
                        <div class="pd-0">
                            <div class="d-flex align-items-baseline mg-b-5">
                                <h1 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-normal">
                                    {{ $canc_orders }}</h1>
                            </div>
                            <h6 class="tx-11 tx-pink tx-uppercase">Cancelled Orders</h6>
                        </div>
                    </div>
                    <!-- row -->
                </div>
            </div>
            <!-- card -->
        </div>
    </div>
    <!--/ Sales Details End -->
    <!--  Start -->
    <!--================================-->
    <div class="row clearfix">
        <!--================================-->
        <!-- Heard Card Start -->
        <!--================================-->
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Users</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">{{ $total_users }}</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Products</h5>
                    <div class="d-flex justify-content-between align-items-center">

                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                            {{ $total_products !== '' ? $total_products : '0' }}</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Product Brands</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                            {{ $total_brands !== '' ? $total_brands : '0' }}</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Area Groups</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                            {{ $total_areagroups !== '' ? $total_areagroups : '0' }}</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Collections</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">
                            {{ $total_collections !== '' ? $total_collections : 0 }}</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">POS Orders</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">{{ $invoice_orders }}
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-6 col-xl-3">
            <div class="card mg-b-30">
                <div class="card-body">
                    <h5 class="tx-uppercase tx-spacing-1 tx-semibold tx-10 mg-b-2">Online Store Orders</h5>
                    <div class="d-flex justify-content-between align-items-center">
                        <h2 class="tx-20 tx-sm-18 tx-md-24 mg-b-0 tx-rubik tx-dark tx-normal">{{ $online_orders }}
                        </h2>
                    </div>
                </div>
            </div>
        </div>
        <!--/ Heard Card End -->
    </div>
<!--tset-->
<div class="row pb-3">
    <div class="col-lg-12 pl-1">
        <canvas id="barChart" height="600"></canvas>
    </div>
</div>
<!--test-->
    <div class="row">
        <!--================================-->
        <!-- New Customers Start -->
        <!--================================-->
        <div class="col-lg-6 col-xl-4">
            <div class="card mg-b-30">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h6 class="tx-13 mb-0">New Customers</h6>
                    <div class="card-header-btn">
                        <div><a href="/admin/users/list/customer" class=""><i data-feather="users"
                                    class="wd-16 mr-2"></i>All Customer</a></div>
                    </div>
                </div>
                <div class="card-body pd-y-20 scroll_down" style="height: 397px;overflow: auto;">
                    @if ($customers->isNotEmpty())
                        <ul class="list-unstyled mb-0">
                            @foreach ($customers as $customer)
                                <li class="d-flex align-items-center mg-b-15">
                                    <a href="">
                                        <div class=""
                                            style="background:url({{ url('/') . '' . $customer->profile_image }});background-size:cover;background-position:center;width: 35px !important;height: 35px !important; border-radius: 17.5px !important; margin:0px !important;">
                                        </div>
                                    </a>
                                    <div class="media-body pd-l-15 lh-2">
                                        <p class="tx-medium mg-b-2"><a href="">{{ $customer->name }}</a></p>
                                        <span
                                            class="tx-12 tx-gray-500">Joined:{{ InvoiceClass::convertDateToDDMMYYYY($customer->created_at) }}</span>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    @else
                        <li class="list-group-item text-center">No Customer Found.</li>
                    @endif
                </div>
            </div>
        </div>
        <!--/ New Customers End -->
        <!--================================-->
        <!-- Transaction History Start -->
        <!--================================-->
        <div class="col-lg-6 col-xl-4">
            <div class="card mg-b-30">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h6 class="tx-13 mb-0">Order History</h6>
                    <div class="card-header-btn">
                        <div class="">
                            <a href="/admin/orders"><i data-feather="box"class="wd-16 mr-2"></i>All Order</a>
                        </div>
                    </div>
                </div>

                <div class="card-body pd-0 pd-y-15 scroll_down" style="height: 397px;overflow: auto;">
                    @if ($orders->isNotEmpty())
                        <ul class="list-group list-group-flush tx-13">
                            @foreach ($orders as $order)
                                @if ($order->status == 'completed')
                                    <li class="list-group-item d-flex pd-y-9 pd-sm-x-20">
                                        <div class="d-none d-sm-block"><span
                                                class="wd-40 ht-40 mg-r-10 d-flex align-items-center justify-content-center rounded bg-success tx-white"><i
                                                    class="ti-check"></i></span></div>
                                        <div class="pd-sm-l-10">
                                            <p class="mg-b-0">{{ $order->f_name }} {{ $order->l_name }}</p>
                                            <span class="tx-12 mg-b-0 tx-gray-500">Order
                                                ID:#{{ $order->id }}</span>
                                        </div>
                                        <div class="mg-l-auto text-right">
                                            <p class="mg-b-0 tx-rubik">${{ $order->total_amount }}</p>
                                            <span class="tx-success tx-12">Completed</span>
                                        </div>
                                    </li>
                                @elseif ($order->status == 'pending')
                                    <li class="list-group-item d-flex pd-y-9 pd-sm-x-20">
                                        <div class="d-none d-sm-block"><span
                                                class="wd-40 ht-40 mg-r-10 d-flex align-items-center justify-content-center rounded bg-warning tx-dark"><i
                                                    class="ti-anchor"></i></span></div>
                                        <div class="pd-sm-l-10">
                                            <p class="mg-b-0">{{ $order->f_name }} {{ $order->l_name }}</p>
                                            <span class="tx-12 mg-b-0 tx-gray-500">Order
                                                ID:#{{ $order->id }}</span>
                                        </div>
                                        <div class="mg-l-auto text-right">
                                            <p class="mg-b-0 tx-rubik">${{ $order->total_amount }}</p>
                                            <span class="tx-warning tx-12">Pending</span>
                                        </div>
                                    </li>
                                @elseif($order->status == 'inProcess')
                                    <li class="list-group-item d-flex pd-y-9 pd-sm-x-20">
                                        <div class="d-none d-sm-block"><span
                                                class="wd-40 ht-40 mg-r-10 d-flex align-items-center justify-content-center rounded bg-primary tx-white"><i
                                                    class="ti-reload"></i></span></div>
                                        <div class="pd-sm-l-10">
                                            <p class="mg-b-0">{{ $order->f_name }} {{ $order->l_name }}</p>
                                            <span class="tx-12 mg-b-0 tx-gray-500">Order
                                                ID:#{{ $order->id }}</span>
                                        </div>
                                        <div class="mg-l-auto text-right">
                                            <p class="mg-b-0 tx-rubik">${{ $order->total_amount }}</p>
                                            <span class="tx-primary tx-12">Inprogress</span>
                                        </div>
                                    </li>
                                @else
                                    <li class="list-group-item d-flex pd-y-9 pd-sm-x-20">
                                        <div class="d-none d-sm-block"><span
                                                class="wd-40 ht-40 mg-r-10 d-flex align-items-center justify-content-center rounded bg-danger tx-white"><i
                                                    class="ti-close"></i></span></div>
                                        <div class="pd-sm-l-10">
                                            <p class="mg-b-0">{{ $order->f_name }} {{ $order->l_name }}</p>
                                            <span class="tx-12 mg-b-0 tx-gray-500">Order
                                                ID:#{{ $order->id }}</span>
                                        </div>
                                        <div class="mg-l-auto text-right">
                                            <p class="mg-b-0 tx-rubik">${{ $order->total_amount }}</p>
                                            <span class="tx-danger tx-12">Canceled</span>
                                        </div>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    @else
                        <li class="list-group-item text-center">No Order Found.</li>
                    @endif
                </div>

            </div>
        </div>
        <!--/ Transaction History End -->
        <!--================================-->
        <!-- Mostsell Product Start -->
        <!--================================-->
        <div class="col-xl-4">
            <div class="card mg-b-30">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h6 class="tx-13 mb-0">Most Sell Product</h6>
                    <div class="card-header-btn">
                        <div class="">
                            <a href="/admin/products"><i data-feather="box"class="wd-16 mr-2"></i>All Product</a>
                        </div>
                    </div>
                </div>
                <div class="card-body " style="height: 400px; overflow: hidden;">
                    <div class="list-group list-group-flush m-t-10 tx-13 scroll_down"
                        style="overflow: auto; height: 400px;">
                        <table class="table table-hover">
                            <thead style="position: sticky; top: 0;background-color: #fff;">
                                <tr>
                                    <th scope="col">Product</th>
                                    <th scope="col">Sold</th>
                                </tr>
                            </thead>
                            <tbody class="scroll_down" style="height:300px; overflow: auto; ">
                                @if ($sellingProducts->count() > 0)
                                @foreach ($sellingProducts->sortByDesc('count') as $product)
                                    <tr>
                                        <td scope="row">
                                        <div class="d-flex align-items-center">
                                            <div
                                                style="background: url({{ $product && $product->product && $product->product->featured_image ? url('/') . '/' . $product->product->featured_image : '/' }}); border: 1px solid gray; width: 50px; height: 50px; background-position: center; background-size: contain; background-repeat: no-repeat;">
                                            </div>
                                            <a href="{{ url('/') }}/product/{{ $product && $product->product ? $product->product->permalink : '' }}"
                                                target="_blank">{{ Str::limit($product && $product->product ? $product->product->title : '', 35, '...') }}</a>
                                        </div>
                                    </td>
                                        <td>{{ $product->count }}</td>
                                    </tr>
                                @endforeach
                                @else
                                    <tr>
                                        <td colspan="2">No records found</td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="card mg-b-30">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h6 class="tx-13 mb-0">Least & Not Selling Product</h6>
                    <div class="card-header-btn">
                        <div class="">
                            <a href="/admin/products"><i data-feather="box"class="wd-16 mr-2"></i>All Product</a>
                        </div>
                    </div>
                </div>
                <div class="card-body " style="height: 400px; overflow: hidden;">
                    <div class="list-group list-group-flush m-t-10 tx-13 scroll_down"
                        style="overflow: auto; height: 400px;">
                        <table class="table table-hover">
                            <thead style="position: sticky; top: 0;background-color: #fff;">
                                <tr>
                                    <th scope="col">Product</th>
                                    <th scope="col">Sold</th>
                                </tr>
                            </thead>
                            <tbody class="scroll_down" style="height:300px; overflow: auto; ">
                                @if ($lessSellingProducts->count() > 0)
                                @foreach ($lessSellingProducts->sortByDesc('count') as $product)
                                    <tr>
                                        <td scope="row">
                                        <div class="d-flex align-items-center">
                                            <div
                                                style="background: url({{ $product && $product->featured_image ? url('/') . '/' . $product->featured_image : '/' }}); border: 1px solid gray; width: 50px; height: 50px; background-position: center; background-size: contain; background-repeat: no-repeat;">
                                            </div>
                                            <a href="{{ url('/') }}/product/{{ $product ? $product->permalink : '' }}"
                                                target="_blank">{{ Str::limit($product ? $product->title : '', 35, '...') }}</a>
                                        </div>
                                    </td>
                                        <td>{{ $product->order_count }}</td>
                                    </tr>
                                @endforeach
                                @else
                                    <tr>
                                        <td colspan="2">No records found</td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!--/ Mostsell Product End -->
        <!--================================-->
    </div>
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
 <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.4/Chart.min.js"></script>
 
 <script>
//      var ctx = document.getElementById("barChart").getContext('2d');
// var labels = <?php echo json_encode($months); ?>;
// var data = <?php echo json_encode(array_values($monthData)); ?>;
// var data2 = <?php echo json_encode(array_values($monthData2)); ?>;
// console.log(data);
// console.log(data2);
// var currentYear = <?php echo $currentYear; ?>;
// var filteredLabels = [];
// var filteredData = [];
// var filteredData2 = [];
// console.log(filteredData);

// for (var i = 0; i < data.length; i++) {
//     if (data[i] !== 0) {
//         filteredLabels.push(labels[i]);
//         filteredData.push(data[i]);
//         filteredData2.push(data2[i]);
//     }
// }   
// var barChart = new Chart(ctx, {
//     type: 'bar',
//     data: {
//         labels: filteredLabels,
//         datasets: [{
//             label: 'Online Store',
//             data: filteredData,
//             backgroundColor: "#E59041"
//         }, {
//             label: 'POS Store',
//             data:  filteredData2,
//             backgroundColor: "rgba(0, 0, 255, 1)"
//         }
//     ]
//     },
//     options: {
//         scales: {
//             y: {
//                 beginAtZero: true
//             }
//         },
//         maintainAspectRatio: false,
//         responsive: true,
//         title: {
//             display: true,
//             text: 'Sales Data for ' + currentYear,
//             font: {
//                 size: 16
//             }
//         }
//     }
// });

   var ctx = document.getElementById("barChart").getContext('2d');
    var chartData = @json($chartData); // Convert the PHP array to a JavaScript object

    // Define an array of month names
    var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];

    // Map the month numbers to month names
    var labels = chartData.labels.map(function(monthNum) {
        return monthNames[monthNum - 1]; // Subtract 1 because JavaScript months are 0-indexed
    });

    var data = chartData.orderSales.map(function(totalSales) {
        return parseFloat(totalSales); // Convert the data to a floating-point number
    });

    var data2 = chartData.posSales.map(function(totalSales) {
        return parseFloat(totalSales); // Convert the data to a floating-point number
    });
    console.log(data,'data');
    console.log(data2,'data2');
    var currentYear = {{ $currentYear }};
    
    var barChart = new Chart(ctx, {
        type: 'bar',
        data: {
            labels: labels,
            datasets: [
                {
                    label: 'Order Sales',
                    data: data,
                    backgroundColor: "#E59041"
                },
                {
                    label: 'POS Sales',
                    data: data2,
                    backgroundColor: "rgba(0, 0, 255, 1)"
                }
            ]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            },
            maintainAspectRatio: false,
            responsive: true,
            plugins: {
                title: {
                    display: true,
                    text: 'Sales Data for ' + currentYear,
                    font: {
                        size: 16
                    }
                }
            }
        }
    });

 </script>