@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use App\General\GeneralSettingsClass;
@endphp
<!-- MULTITAB SECTION -->
<section class="login-ptop-b">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12"
                style="background-color: {{ GeneralSettingsClass::getRequiredValue('_layout_color') }} !important;">
                <div class="login-section">
                    <div class="">
                        <div class="login-logo">
                            <img src="{{ url('/') . '/' . $headerLogo }}" alt="Yazi Logo" width="250px">
                        </div>
                        <p class="login-left-desc pt-3">Yazi is your go-to destination for top-quality
                            wholesale hardware in Australia. With a dedication to excellence and a vast range of
                            products, we serve businesses of all sizes, providing the tools and equipment you need to
                            succeed. Our commitment to quality, exceptional customer service, and a passion for hardware
                            solutions make us the trusted choice for professionals across various industries. Discover a
                            world of high-performance tools and unmatched reliability with Yazi. Copyright ©
                            2023 Yazi Australia.</p>
                        <div class="ranch-img">
                            <img src="{{ url('/') }}/WebsiteAssets/images/Vector (4).png" alt="">
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 login-section-r">
                <div class="login-section">
                    <div>
                        <div class="row justify-content-center">
                            <div class="col-lg-10 col-md-12 col-sm-12">
                                <div>
                                    <h2 class="login-title">Login Account</h2>
                                    @if (session('status') === 'false' && session('message'))
                                        <span class="text-danger font-class-small">
                                            <strong>{{ session('message') }}</strong>
                                        </span>
                                    @elseif(session('status') === 200 && session('message'))
                                        <span class="text-success">
                                            <strong>{{ session('message') }}</strong>
                                        </span>
                                    @endif
                                    <form action="{{ route('Website.Login') }}" method="POST">
                                        @csrf
                                        <div class="input-group">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Group 76.png"
                                                    alt="">
                                            </span>
                                            <input type="email" name="email"
                                                class="form-control login-inp @error('email') is-invalid @enderror"
                                                placeholder="john@example.com.au">
                                        </div>
                                        @error('email')
                                            <span class="text-danger" style="font-size: x-small;">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="input-group pt-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Vector (5).png"
                                                    alt="">
                                            </span>
                                            <input type="password" name="password"
                                                class="form-control login-inp @error('password') is-invalid @enderror"
                                                placeholder="***************" id="password">
                                            <span class="input-group-text-eye" style="cursor: pointer;">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/eyee-hide.svg"
                                                    style="width:27px; height:27px;" alt="" id="togglePassword">
                                            </span>
                                        </div>
                                        @error('password')
                                            <span class="text-danger" style="font-size: x-small">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <p><a href="{{ route('Website.ForgetPassword') }}" class="forgot-link">Forgot
                                                Password ? </a></p>
                                        <div class="login-btn">
                                            <button type="submit" class="btn" id="submitButton"
                                                style="background-color: {{ GeneralSettingsClass::getRequiredValue('_button_color') }} !important;">Login</button>
                                        </div>
                                        <p class="login-or-text">Or</p>
                                        <div class="res-btn">
                                            <button class="btn" type="button"
                                                onclick="window.location.href='{{ url('/') }}/sign-up'">Register
                                                Account</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@include('Website.Includes.footer')
<script>
    $('form').on('submit', function() {
        $('#submitButton').prop('disabled', true).text('Loading...');
    });
</script>
<script>
    $(document).ready(function() {
        $("#togglePassword").click(function() {
            var passwordField = $("#password");
            var fieldType = passwordField.attr("type");

            if (fieldType === "password") {
                passwordField.attr("type", "text");
                $("#togglePassword").attr("src", "{{ url('/') }}/WebsiteAssets/images/eyee.svg");
            } else {
                passwordField.attr("type", "password");
                $("#togglePassword").attr("src",
                    "{{ url('/') }}/WebsiteAssets/images/eyee-hide.svg");
            }
        });
    });
</script>
